Package wx :: Module stc :: Class StyledTextCtrl

[frames | no frames]

## Type StyledTextCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            StyledTextCtrl

Known Subclasses:
  `EditWindow`, `InspectionInfoPanel`, `PyShellWindow`

Proxy of C++ StyledTextCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| ``AddRefDocument`(self, docPointer)` Extend life of document.
| ``AddStyledText`(self, data)` Add array of cells to document.
| ``AddText`(self, text)` Add text to the document at current position.
| ``AddTextRaw`(self, text)` Add text to the document at current position.
| ``AddTextUTF8`(self, text)` Add UTF8 encoded text to the document at the current position.
| ``Allocate`(self, bytes)` Enlarge the document to a particular size of text bytes.
| ``AppendText`(self, text)` Append a string to the end of the document without changing the selection.
| ``AppendTextRaw`(self, text)` Append a string to the end of the document without changing the selection.
| ``AppendTextUTF8`(self, text)` Append a UTF8 string to the end of the document without changing the selection.
bool | ``AutoCompActive`(self)` Is there an auto-completion list visible?
| ``AutoCompCancel`(self)` Remove the auto-completion list from the screen.
| ``AutoCompComplete`(self)` User has selected an item so remove the list and insert the selection.
bool | ``AutoCompGetAutoHide`(self)` Retrieve whether or not autocompletion is hidden automatically when nothing matches.
bool | ``AutoCompGetCancelAtStart`(self)` Retrieve whether auto-completion cancelled by backspacing before start.
bool | ``AutoCompGetChooseSingle`(self)` Retrieve whether a single item auto-completion list automatically choose the item.
int | ``AutoCompGetCurrent`(self)` Get currently selected item position in the auto-completion list
bool | ``AutoCompGetDropRestOfWord`(self)` Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.
bool | ``AutoCompGetIgnoreCase`(self)` Retrieve state of ignore case flag.
int | ``AutoCompGetMaxHeight`(self)` Set the maximum height, in rows, of auto-completion and user lists.
int | ``AutoCompGetMaxWidth`(self)` Get the maximum width, in characters, of auto-completion and user lists.
int | ``AutoCompGetSeparator`(self)` Retrieve the auto-completion list separator character.
int | ``AutoCompGetTypeSeparator`(self)` Retrieve the auto-completion list type-separator character.
int | ``AutoCompPosStart`(self)` Retrieve the position of the caret when the auto-completion list was displayed.
| ``AutoCompSelect`(self, text)` Select the item in the auto-completion list that starts with a string.
| ``AutoCompSetAutoHide`(self, autoHide)` Set whether or not autocompletion is hidden automatically when nothing matches.
| ``AutoCompSetCancelAtStart`(self, cancel)` Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.
| ``AutoCompSetChooseSingle`(self, chooseSingle)` Should a single item auto-completion list automatically choose the item.
| ``AutoCompSetDropRestOfWord`(self, dropRestOfWord)` Set whether or not autocompletion deletes any word characters after the inserted text upon completion.
| ``AutoCompSetFillUps`(self, characterSet)` Define a set of characters that when typed will cause the autocompletion to choose the selected item.
| ``AutoCompSetIgnoreCase`(self, ignoreCase)` Set whether case is significant when performing auto-completion searches.
| ``AutoCompSetMaxHeight`(self, rowCount)` Set the maximum height, in rows, of auto-completion and user lists.
| ``AutoCompSetMaxWidth`(self, characterCount)` Set the maximum width, in characters, of auto-completion and user lists.
| ``AutoCompSetSeparator`(self, separatorCharacter)` Change the separator character in the string setting up an auto-completion list.
| ``AutoCompSetTypeSeparator`(self, separatorCharacter)` Change the type-separator character in the string setting up an auto-completion list.
| ``AutoCompShow`(self, lenEntered, itemList)` Display a auto-completion list.
| ``AutoCompStops`(self, characterSet)` Define a set of character that when typed cancel the auto-completion list.
| ``BackTab`(self)` Dedent the selected lines.
| ``BeginUndoAction`(self)` Start a sequence of actions that is undone and redone as a unit.
| ``BraceBadLight`(self, pos)` Highlight the character at a position indicating there is no matching brace.
| ``BraceHighlight`(self, pos1, pos2)` Highlight the characters at two positions.
int | ``BraceMatch`(self, pos)` Find the position of a matching brace or INVALID_POSITION if no match.
bool | ``CallTipActive`(self)` Is there an active call tip?
| ``CallTipCancel`(self)` Remove the call tip from the screen.
int | ``CallTipPosAtStart`(self)` Retrieve the position where the caret was before displaying the call tip.
| ``CallTipSetBackground`(self, back)` Set the background colour for the call tip.
| ``CallTipSetForeground`(self, fore)` Set the foreground colour for the call tip.
| ``CallTipSetForegroundHighlight`(self, fore)` Set the foreground colour for the highlighted part of the call tip.
| ``CallTipSetHighlight`(self, start, end)` Highlight a segment of the definition.
| ``CallTipShow`(self, pos, definition)` Show a call tip containing a definition near position pos.
| ``CallTipUseStyle`(self, tabSize)` Enable use of STYLE_CALLTIP and set call tip tab size in pixels.
| ``Cancel`(self)` Cancel any modes such as call tip or auto-completion list display.
bool | ``CanPaste`(self)` Will a paste succeed?
bool | ``CanRedo`(self)` Are there any redoable actions in the undo history?
bool | ``CanUndo`(self)` Are there any undoable actions in the undo history?
| ``CharLeft`(self)` Move caret left one character.
| ``CharLeftExtend`(self)` Move caret left one character extending selection to new caret position.
| ``CharLeftRectExtend`(self)` Move caret left one character, extending rectangular selection to new caret position.
| ``CharRight`(self)` Move caret right one character.
| ``CharRightExtend`(self)` Move caret right one character extending selection to new caret position.
| ``CharRightRectExtend`(self)` Move caret right one character, extending rectangular selection to new caret position.
| ``ChooseCaretX`(self)` Set the last x chosen value to be the caret x position.
| ``Clear`(self)` Clear the selection.
| ``ClearAll`(self)` Delete all text in the document.
| ``ClearDocumentStyle`(self)` Set all style bytes to 0, remove all folding information.
| ``ClearRegisteredImages`(self)` Clear all the registered images.
| ``CmdKeyAssign`(self, key, modifiers, cmd)` When key+modifier combination km is pressed perform msg.
| ``CmdKeyClear`(self, key, modifiers)` When key+modifier combination km is pressed do nothing.
| ``CmdKeyClearAll`(self)` Drop all key mappings.
| ``CmdKeyExecute`(self, cmd)` Perform one of the operations defined by the wx.stc.STC_CMD_* constants.
| ``Colourise`(self, start, end)` Colourise a segment of the document using the current lexing language.
| ``ConvertEOLs`(self, eolMode)` Convert all line endings in the document to one mode.
| ``Copy`(self)` Copy the selection to the clipboard.
| ``CopyRange`(self, start, end)` Copy a range of text to the clipboard.
| ``CopyText`(self, length, text)` Copy argument text to the clipboard.
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
void | ``CreateDocument`(self)` Create a new document object.
| ``Cut`(self)` Cut the selection to the clipboard.
| ``DeleteBack`(self)` Delete the selection or if no selection, the character before the caret.
| ``DeleteBackNotLine`(self)` Delete the selection or if no selection, the character before the caret.
| ``DelLineLeft`(self)` Delete back from the current position to the start of the line.
| ``DelLineRight`(self)` Delete forwards from the current position to the end of the line.
| ``DelWordLeft`(self)` Delete the word to the left of the caret.
| ``DelWordRight`(self)` Delete the word to the right of the caret.
int | ``DocLineFromVisible`(self, lineDisplay)` Find the document line of a display line taking hidden lines into account.
| ``DocumentEnd`(self)` Move caret to last position in document.
| ``DocumentEndExtend`(self)` Move caret to last position in document extending selection to new caret position.
| ``DocumentStart`(self)` Move caret to first position in document.
| ``DocumentStartExtend`(self)` Move caret to first position in document extending selection to new caret position.
int | ``DoDragOver`(self, x, y, def)` Allow for simulating a DnD DragOver.
bool | ``DoDropText`(self, x, y, data)` Allow for simulating a DnD DropText.
| ``EditToggleOvertype`(self)` Switch from insert to overtype mode or the reverse.
| ``EmptyUndoBuffer`(self)` Delete the undo history.
| ``EndUndoAction`(self)` End a sequence of actions that is undone and redone as a unit.
| ``EnsureCaretVisible`(self)` Ensure the caret is visible.
| ``EnsureVisible`(self, line)` Ensure a particular line is visible by expanding any header line hiding it.
| ``EnsureVisibleEnforcePolicy`(self, line)` Ensure a particular line is visible by expanding any header line hiding it.
int | ``FindColumn`(self, line, column)` Find the position of a column on a line taking into account tabs and multi-byte characters.
int | ``FindText`(self, minPos, maxPos, text, flags)` Find some text in the document.
int | ``FormatRange`(self, doDraw, startPos, endPos, draw, target, renderRect, pageRect)` On Windows, will draw the document into a display context such as a printer.
| ``FormFeed`(self)` Insert a Form Feed character.
int | ``GetAnchor`(self)` Returns the position of the opposite end of the selection to the caret.
bool | ``GetBackSpaceUnIndents`(self)` Does a backspace pressed when caret is within indentation unindent?
bool | ``GetBufferedDraw`(self)` Is drawing done first into a buffer or direct to the screen?
Colour | ``GetCaretForeground`(self)` Get the foreground colour of the caret.
Colour | ``GetCaretLineBack`(self)` Get the colour of the background of the line containing the caret.
int | ``GetCaretLineBackAlpha`(self)` Get the background alpha of the caret line.
Colour | ``GetCaretLineBackground`(self)` Get the colour of the background of the line containing the caret.
bool | ``GetCaretLineVisible`(self)` Is the background of the line containing the caret in a different colour?
int | ``GetCaretPeriod`(self)` Get the time in milliseconds that the caret is on and off.
bool | ``GetCaretSticky`(self)` Can the caret preferred x position only be changed by explicit movement commands?
int | ``GetCaretWidth`(self)` Returns the width of the insert mode caret.
int | ``GetCharAt`(self, pos)` Returns the character byte at the position.
int | ``GetCodePage`(self)` Get the code page used to interpret the bytes of the document as characters.
int | ``GetColumn`(self, pos)` Retrieve the column number of a position, taking tab width into account.
int | ``GetControlCharSymbol`(self)` Get the way control characters are displayed.
(text, pos) | ``GetCurLine`(self)` Retrieve the text of the line containing the caret, and also theindex of the caret on the line.
(text, index) | ``GetCurLineRaw`()` Retrieve the text of the line containing the caret, and also the index of the caret on the line.
| ``GetCurLineUTF8`(self)` Retrieve the UTF8 text of the line containing the caret, and also the index of the caret on the line.
int | ``GetCurrentLine`(self)` Returns the line number of the line with the caret.
int | ``GetCurrentPos`(self)` Returns the position of the caret.
void | ``GetDocPointer`(self)` Retrieve a pointer to the document object.
Colour | ``GetEdgeColour`(self)` Retrieve the colour used in edge indication.
int | ``GetEdgeColumn`(self)` Retrieve the column number which text should be kept within.
int | ``GetEdgeMode`(self)` Retrieve the edge highlight mode.
bool | ``GetEndAtLastLine`(self)` Retrieve whether the maximum scroll position has the last line at the bottom of the view.
int | ``GetEndStyled`(self)` Retrieve the position of the last correctly styled character.
int | ``GetEOLMode`(self)` Retrieve the current end of line mode - one of CRLF, CR, or LF.
int | ``GetFirstVisibleLine`(self)` Retrieve the display line at the top of the display.
bool | ``GetFoldExpanded`(self, line)` Is a header line expanded?
int | ``GetFoldLevel`(self, line)` Retrieve the fold level of a line.
int | ``GetFoldParent`(self, line)` Find the parent line of a child line.
int | ``GetHighlightGuide`(self)` Get the highlighted indentation guide column.
int | ``GetIndent`(self)` Retrieve indentation size.
bool | ``GetIndentationGuides`(self)` Are the indentation guides visible?
int | ``GetLastChild`(self, line, level)` Find the last child line of a header line.
bool | `GetLastKeydownProcessed(self)`
int | ``GetLayoutCache`(self)` Retrieve the degree of caching of layout information.
int | ``GetLength`(self)` Returns the number of characters in the document.
int | ``GetLexer`(self)` Retrieve the lexing language of the document.
String | ``GetLine`(self, line)` Retrieve the contents of a line.
int | ``GetLineCount`(self)` Returns the number of lines in the document.
int | ``GetLineEndPosition`(self, line)` Get the position after the last visible characters on a line.
int | ``GetLineIndentation`(self, line)` Retrieve the number of columns that a line is indented.
int | ``GetLineIndentPosition`(self, line)` Retrieve the position before the first non indentation character on a line.
wxCharBuffer | ``GetLineRaw`(self, line)` Retrieve the contents of a line.
int | ``GetLineSelEndPosition`(self, line)` Retrieve the position of the end of the selection at the given line (INVALID_POSITION if no selection on this line).
int | ``GetLineSelStartPosition`(self, line)` Retrieve the position of the start of the selection at the given line (INVALID_POSITION if no selection on this line).
int | ``GetLineState`(self, line)` Retrieve the extra styling information for a line.
| ``GetLineUTF8`(self, line)` Retrieve the contents of a line as UTF8.
bool | ``GetLineVisible`(self, line)` Is a line visible?
int | ``GetMarginLeft`(self)` Returns the size in pixels of the left margin.
int | ``GetMarginMask`(self, margin)` Retrieve the marker mask of a margin.
int | ``GetMarginRight`(self)` Returns the size in pixels of the right margin.
bool | ``GetMarginSensitive`(self, margin)` Retrieve the mouse click sensitivity of a margin.
int | ``GetMarginType`(self, margin)` Retrieve the type of a margin.
int | ``GetMarginWidth`(self, margin)` Retrieve the width of a margin in pixels.
int | ``GetMaxLineState`(self)` Retrieve the last line number that has line state.
int | ``GetModEventMask`(self)` Get which document modification events are sent to the container.
bool | ``GetModify`(self)` Is the document different from when it was last saved?
bool | ``GetMouseDownCaptures`(self)` Get whether mouse gets captured.
int | ``GetMouseDwellTime`(self)` Retrieve the time the mouse must sit still to generate a mouse dwell event.
bool | ``GetOvertype`(self)` Returns true if overtype mode is active otherwise false is returned.
bool | ``GetPasteConvertEndings`(self)` Get convert-on-paste setting
int | ``GetPrintColourMode`(self)` Returns the print colour mode.
int | ``GetPrintMagnification`(self)` Returns the print magnification.
int | ``GetPrintWrapMode`(self)` Is printing line wrapped?
String | ``GetProperty`(self, key)` Retrieve a 'property' value previously set with SetProperty.
String | ``GetPropertyExpanded`(self, key)` Retrieve a 'property' value previously set with SetProperty, with '$()' variable replacement on returned buffer.
int | ``GetPropertyInt`(self, key)` Retrieve a 'property' value previously set with SetProperty, interpreted as an int AFTER any '$()' variable replacement.
bool | ``GetReadOnly`(self)` In read-only mode?
int | ``GetScrollWidth`(self)` Retrieve the document width assumed for scrolling.
int | ``GetSearchFlags`(self)` Get the search flags used by SearchInTarget.
int | ``GetSelAlpha`(self)` Get the alpha of the selection.
String | ``GetSelectedText`(self)` Retrieve the selected text.
wxCharBuffer | ``GetSelectedTextRaw`(self)` Retrieve the selected text.
| ``GetSelectedTextUTF8`(self)` Retrieve the selected text as UTF8.
(startPos, endPos) | ``GetSelection`(self)` Retrieve the start and end positions of the current selection.
int | ``GetSelectionEnd`(self)` Returns the position at the end of the selection.
int | ``GetSelectionMode`(self)` Get the mode of the current selection.
int | ``GetSelectionStart`(self)` Returns the position at the start of the selection.
int | ``GetStatus`(self)` Get error status.
int | ``GetSTCCursor`(self)` Get cursor type.
bool | ``GetSTCFocus`(self)` Get internal focus flag.
int | ``GetStyleAt`(self, pos)` Returns the style byte at the position.
int | ``GetStyleBits`(self)` Retrieve number of bits in style bytes used to hold the lexical state.
int | ``GetStyleBitsNeeded`(self)` Retrieve the number of bits the current lexer needs for styling.
wxMemoryBuffer | ``GetStyledText`(self, startPos, endPos)` Retrieve a buffer of cells.
bool | ``GetTabIndents`(self)` Does a tab pressed when caret is within indentation indent?
int | ``GetTabWidth`(self)` Retrieve the visible size of a tab.
int | ``GetTargetEnd`(self)` Get the position that ends the target.
int | ``GetTargetStart`(self)` Get the position that starts the target.
String | ``GetText`(self)` Retrieve all the text in the document.
int | ``GetTextLength`(self)` Retrieve the number of characters in the document.
String | ``GetTextRange`(self, startPos, endPos)` Retrieve a range of text.
wxCharBuffer | ``GetTextRangeRaw`(self, startPos, endPos)` Retrieve a range of text.
| ``GetTextRangeUTF8`(self, startPos, endPos)` Retrieve a range of text as UTF8.
wxCharBuffer | ``GetTextRaw`(self)` Retrieve all the text in the document.
| ``GetTextUTF8`(self)` Retrieve all the text in the document as UTF8.
bool | ``GetTwoPhaseDraw`(self)` Is drawing done in two phases with backgrounds drawn before foregrounds?
bool | ``GetUndoCollection`(self)` Is undo history being collected?
bool | ``GetUseAntiAliasing`(self)` Returns the current UseAntiAliasing setting.
bool | ``GetUseHorizontalScrollBar`(self)` Is the horizontal scroll bar visible?
bool | ``GetUseTabs`(self)` Retrieve whether tabs will be used in indentation.
bool | ``GetUseVerticalScrollBar`(self)` Is the vertical scroll bar visible?
bool | ``GetViewEOL`(self)` Are the end of line characters visible?
int | ``GetViewWhiteSpace`(self)` Are white space characters currently visible? Returns one of SCWS_* constants.
int | ``GetWrapMode`(self)` Retrieve whether text is word wrapped.
int | ``GetWrapStartIndent`(self)` Retrive the start indent for wrapped lines.
int | ``GetWrapVisualFlags`(self)` Retrive the display mode of visual flags for wrapped lines.
int | ``GetWrapVisualFlagsLocation`(self)` Retrive the location of visual flags for wrapped lines.
int | `GetXOffset(self)`
int | ``GetZoom`(self)` Retrieve the zoom level.
| ``GotoLine`(self, line)` Set caret to start of a line and ensure it is visible.
| ``GotoPos`(self, pos)` Set caret to a position and ensure it is visible.
| ``HideLines`(self, lineStart, lineEnd)` Make a range of lines invisible.
| ``HideSelection`(self, normal)` Draw the selection in normal style or with selection highlighted.
| ``Home`(self)` Move caret to first position on line.
| ``HomeDisplay`(self)` Move caret to first position on display line.
| ``HomeDisplayExtend`(self)` Move caret to first position on display line extending selection to new caret position.
| ``HomeExtend`(self)` Move caret to first position on line extending selection to new caret position.
| ``HomeRectExtend`(self)` Move caret to first position on line, extending rectangular selection to new caret position.

``HomeWrap`(self)`
These are like their namesakes Home(Extend)?, LineEnd(Extend)?, VCHome(Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home|LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home|LineEnd|VCHome)(Extend)?.

| `HomeWrapExtend(self)`
Colour | ``IndicatorGetForeground`(self, indic)` Retrieve the foreground colour of an indicator.
int | ``IndicatorGetStyle`(self, indic)` Retrieve the style of an indicator.
| ``IndicatorSetForeground`(self, indic, fore)` Set the foreground colour of an indicator.
| ``IndicatorSetStyle`(self, indic, style)` Set an indicator to plain, squiggle or TT.
| ``InsertText`(self, pos, text)` Insert string at a position.
| ``InsertTextRaw`(self, pos, text)` Insert string at a position.
| ``InsertTextUTF8`(self, pos, text)` Insert UTF8 encoded text at a position.
| ``LineCopy`(self)` Copy the line containing the caret.
| ``LineCut`(self)` Cut the line containing the caret.
| ``LineDelete`(self)` Delete the line containing the caret.
| ``LineDown`(self)` Move caret down one line.
| ``LineDownExtend`(self)` Move caret down one line extending selection to new caret position.
| ``LineDownRectExtend`(self)` Move caret down one line, extending rectangular selection to new caret position.
| ``LineDuplicate`(self)` Duplicate the current line.
| ``LineEnd`(self)` Move caret to last position on line.
| ``LineEndDisplay`(self)` Move caret to last position on display line.
| ``LineEndDisplayExtend`(self)` Move caret to last position on display line extending selection to new caret position.
| ``LineEndExtend`(self)` Move caret to last position on line extending selection to new caret position.
| ``LineEndRectExtend`(self)` Move caret to last position on line, extending rectangular selection to new caret position.
| `LineEndWrap(self)`
| `LineEndWrapExtend(self)`
int | ``LineFromPosition`(self, pos)` Retrieve the line containing a position.
int | ``LineLength`(self, line)` How many characters are on a line, not including end of line characters?
| ``LineScroll`(self, columns, lines)` Scroll horizontally and vertically.
| ``LineScrollDown`(self)` Scroll the document down, keeping the caret visible.
| ``LineScrollUp`(self)` Scroll the document up, keeping the caret visible.
| ``LinesJoin`(self)` Join the lines in the target.
int | ``LinesOnScreen`(self)` Retrieves the number of lines completely visible.
| ``LinesSplit`(self, pixelWidth)` Split the lines in the target into lines that are less wide than pixelWidth where possible.
| ``LineTranspose`(self)` Switch the current line with the previous.
| ``LineUp`(self)` Move caret up one line.
| ``LineUpExtend`(self)` Move caret up one line extending selection to new caret position.
| ``LineUpRectExtend`(self)` Move caret up one line, extending rectangular selection to new caret position.
bool | ``LoadFile`(self, filename)` Load the contents of filename into the editor
| ``LowerCase`(self)` Transform the selection to lower case.
int | ``MarkerAdd`(self, line, markerNumber)` Add a marker to a line, returning an ID which can be used to find or delete the marker.
| ``MarkerAddSet`(self, line, set)` Add a set of markers to a line.
| ``MarkerDefine`(self, markerNumber, markerSymbol, foreground, background)` Set the symbol used for a particular marker number, and optionally the fore and background colours.
| ``MarkerDefineBitmap`(self, markerNumber, bmp)` Define a marker from a bitmap
| ``MarkerDelete`(self, line, markerNumber)` Delete a marker from a line.
| ``MarkerDeleteAll`(self, markerNumber)` Delete all markers with a particular number from all lines.
| ``MarkerDeleteHandle`(self, handle)` Delete a marker.
int | ``MarkerGet`(self, line)` Get a bit mask of all the markers set on a line.
int | ``MarkerLineFromHandle`(self, handle)` Retrieve the line number at which a particular marker is located.
int | ``MarkerNext`(self, lineStart, markerMask)` Find the next line after lineStart that includes a marker in mask.
int | ``MarkerPrevious`(self, lineStart, markerMask)` Find the previous line before lineStart that includes a marker in mask.
| ``MarkerSetAlpha`(self, markerNumber, alpha)` Set the alpha used for a marker that is drawn in the text area, not the margin.
| ``MarkerSetBackground`(self, markerNumber, back)` Set the background colour used for a particular marker number.
| ``MarkerSetForeground`(self, markerNumber, fore)` Set the foreground colour used for a particular marker number.
| ``MoveCaretInsideView`(self)` Move the caret inside current view if it's not there already.
| ``NewLine`(self)` Insert a new line, may use a CRLF, CR or LF depending on EOL mode.
| ``PageDown`(self)` Move caret one page down.
| ``PageDownExtend`(self)` Move caret one page down extending selection to new caret position.
| ``PageDownRectExtend`(self)` Move caret one page down, extending rectangular selection to new caret position.
| ``PageUp`(self)` Move caret one page up.
| ``PageUpExtend`(self)` Move caret one page up extending selection to new caret position.
| ``PageUpRectExtend`(self)` Move caret one page up, extending rectangular selection to new caret position.
| ``ParaDown`(self)` Move caret between paragraphs (delimited by empty lines).
| `ParaDownExtend(self)`
| `ParaUp(self)`
| `ParaUpExtend(self)`
| ``Paste`(self)` Paste the contents of the clipboard into the document replacing the selection.
Point | ``PointFromPosition`(self, pos)` Retrieve the point in the window where a position is displayed.
int | ``PositionAfter`(self, pos)` Given a valid document position, return the next position taking code page into account.
int | ``PositionBefore`(self, pos)` Given a valid document position, return the previous position taking code page into account.
int | ``PositionFromLine`(self, line)` Retrieve the position at the start of a line.
int | ``PositionFromPoint`(self, pt)` Find the position from a point within the window.
int | ``PositionFromPointClose`(self, x, y)` Find the position from a point within the window but return INVALID_POSITION if not close to text.
| ``Redo`(self)` Redoes the next action on the undo history.
| ``RegisterImage`(self, type, bmp)` Register an image for use in autocompletion lists.
| ``ReleaseDocument`(self, docPointer)` Release a reference to the document, deleting document if it fades to black.
| ``ReplaceSelection`(self, text)` Replace the selected text with the argument text.
int | ``ReplaceTarget`(self, text)` Replace the target text with the argument text.
int | ``ReplaceTargetRE`(self, text)` Replace the target text with the argument text after d processing.
bool | ``SaveFile`(self, filename)` Write the contents of the editor to filename
| ``ScrollToColumn`(self, column)` Scroll enough to make the given column visible
| ``ScrollToLine`(self, line)` Scroll enough to make the given line visible.
| ``SearchAnchor`(self)` Sets the current caret position to be the search anchor.
int | ``SearchInTarget`(self, text)` Search for a counted string in the target and set the target to the found range.
int | ``SearchNext`(self, flags, text)` Find some text starting at the search anchor.
int | ``SearchPrev`(self, flags, text)` Find some text starting at the search anchor and moving backwards.
| ``SelectAll`(self)` Select all the text in the document.
| ``SelectionDuplicate`(self)` Duplicate the selection.
bool | ``SelectionIsRectangle`(self)` Is the selection rectangular? The alternative is the more common stream selection.
long | ``SendMsg`(self, msg, wp, lp)` Send a message to Scintilla.
| ``SetAnchor`(self, posAnchor)` Set the selection anchor to a position.
| ``SetBackSpaceUnIndents`(self, bsUnIndents)` Sets whether a backspace pressed when caret is within indentation unindents.
| ``SetBufferedDraw`(self, buffered)` If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.
| ``SetCaretForeground`(self, fore)` Set the foreground colour of the caret.
| ``SetCaretLineBack`(self, back)` Set the colour of the background of the line containing the caret.
| ``SetCaretLineBackAlpha`(self, alpha)` Set background alpha of the caret line.
| ``SetCaretLineBackground`(self, back)` Set the colour of the background of the line containing the caret.
| ``SetCaretLineVisible`(self, show)` Display the background of the line containing the caret in a different colour.
| ``SetCaretPeriod`(self, periodMilliseconds)` Get the time in milliseconds that the caret is on and off.
| ``SetCaretSticky`(self, useCaretStickyBehaviour)` Stop the caret preferred x position changing when the user types.
| ``SetCaretWidth`(self, pixelWidth)` Set the width of the insert mode caret.
| ``SetCharsDefault`(self)` Reset the set of characters for whitespace and word characters to the defaults.
| ``SetCodePage`(self, codePage)` Set the code page used to interpret the bytes of the document as characters.
| ``SetControlCharSymbol`(self, symbol)` Change the way control characters are displayed: If symbol is < 32, keep the drawn way, else, use the given character.
| ``SetCurrentPos`(self, pos)` Sets the position of the caret.
| ``SetDocPointer`(self, docPointer)` Change the document object used.
| ``SetEdgeColour`(self, edgeColour)` Change the colour used in edge indication.
| ``SetEdgeColumn`(self, column)` Set the column number of the edge.
| ``SetEdgeMode`(self, mode)` The edge may be displayed by a line (EDGE_LINE) or by highlighting text that goes beyond it (EDGE_BACKGROUND) or not displayed at all (EDGE_NONE).
| ``SetEndAtLastLine`(self, endAtLastLine)` Sets the scroll range so that maximum scroll position has the last line at the bottom of the view (default).
| ``SetEOLMode`(self, eolMode)` Set the current end of line mode.
| ``SetFoldExpanded`(self, line, expanded)` Show the children of a header line.
| ``SetFoldFlags`(self, flags)` Set some style options for folding.
| ``SetFoldLevel`(self, line, level)` Set the fold level of a line.
| ``SetFoldMarginColour`(self, useSetting, back)` Set the colours used as a chequerboard pattern in the fold margin
| `SetFoldMarginHiColour(self, useSetting, fore)`
| ``SetHighlightGuide`(self, column)` Set the highlighted indentation guide column.
| ``SetHotspotActiveBackground`(self, useSetting, back)` Set a back colour for active hotspots.
| ``SetHotspotActiveForeground`(self, useSetting, fore)` Set a fore colour for active hotspots.
| ``SetHotspotActiveUnderline`(self, underline)` Enable / Disable underlining active hotspots.
| ``SetHotspotSingleLine`(self, singleLine)` Limit hotspots to single line so hotspots on two lines don't merge.
| ``SetHScrollBar`(self, bar)` Set the horizontal scrollbar to use instead of the ont that's built-in.
| ``SetIndent`(self, indentSize)` Set the number of spaces used for one level of indentation.
| ``SetIndentationGuides`(self, show)` Show or hide indentation guides.
| ``SetKeyWords`(self, keywordSet, keyWords)` Set up the key words used by the lexer.
| `SetLastKeydownProcessed(self, val)`
| ``SetLayoutCache`(self, mode)` Sets the degree of caching of layout information.
| ``SetLexer`(self, lexer)` Set the lexing language of the document.
| ``SetLexerLanguage`(self, language)` Set the lexing language of the document based on string name.
| ``SetLineIndentation`(self, line, indentSize)` Change the indentation of a line to a number of columns.
| ``SetLineState`(self, line, state)` Used to hold extra styling information for each line.
| ``SetMarginLeft`(self, pixelWidth)` Sets the size in pixels of the left margin.
| ``SetMarginMask`(self, margin, mask)` Set a mask that determines which markers are displayed in a margin.
| ``SetMarginRight`(self, pixelWidth)` Sets the size in pixels of the right margin.
| ``SetMargins`(self, left, right)` Set the left and right margin in the edit area, measured in pixels.
| ``SetMarginSensitive`(self, margin, sensitive)` Make a margin sensitive or insensitive to mouse clicks.
| ``SetMarginType`(self, margin, marginType)` Set a margin to be either numeric or symbolic.
| ``SetMarginWidth`(self, margin, pixelWidth)` Set the width of a margin to a width expressed in pixels.
| ``SetModEventMask`(self, mask)` Set which document modification events are sent to the container.
| ``SetMouseDownCaptures`(self, captures)` Set whether the mouse is captured when its button is pressed.
| ``SetMouseDwellTime`(self, periodMilliseconds)` Sets the time the mouse must sit still to generate a mouse dwell event.
| ``SetOvertype`(self, overtype)` Set to overtype (true) or insert mode.
| ``SetPasteConvertEndings`(self, convert)` Enable/Disable convert-on-paste for line endings
| ``SetPrintColourMode`(self, mode)` Modify colours when printing for clearer printed text.
| ``SetPrintMagnification`(self, magnification)` Sets the print magnification added to the point size of each style for printing.
| ``SetPrintWrapMode`(self, mode)` Set printing to line wrapped (SC_WRAP_WORD) or not line wrapped (SC_WRAP_NONE).
| ``SetProperty`(self, key, value)` Set up a value that may be used by a lexer for some optional feature.
| ``SetReadOnly`(self, readOnly)` Set to read only or read write.
| ``SetSavePoint`(self)` Remember the current position in the undo history as the position at which the document was saved.
| ``SetScrollWidth`(self, pixelWidth)` Sets the document width assumed for scrolling.
| ``SetSearchFlags`(self, flags)` Set the search flags used by SearchInTarget.
| ``SetSelAlpha`(self, alpha)` Set the alpha of the selection.
| ``SetSelBackground`(self, useSetting, back)` Set the background colour of the selection and whether to use this setting.
| ``SetSelection`(self, start, end)` Select a range of text.
| ``SetSelectionEnd`(self, pos)` Sets the position that ends the selection - this becomes the currentPosition.
| ``SetSelectionMode`(self, mode)` Set the selection mode to stream (SC_SEL_STREAM) or rectangular (SC_SEL_RECTANGLE) or by lines (SC_SEL_LINES).
| ``SetSelectionStart`(self, pos)` Sets the position that starts the selection - this becomes the anchor.
| ``SetSelForeground`(self, useSetting, fore)` Set the foreground colour of the selection and whether to use this setting.
| ``SetStatus`(self, statusCode)` Change error status - 0 = OK.
| ``SetSTCCursor`(self, cursorType)` Sets the cursor to one of the SC_CURSOR* values.
| ``SetSTCFocus`(self, focus)` Change internal focus flag.
| ``SetStyleBits`(self, bits)` Divide each styling byte into lexical class bits (default: 5) and indicator bits (default: 3).
| ``SetStyleBytes`(self, length, styleBytes)` Set the styles for a segment of the document.
| ``SetStyling`(self, length, style)` Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.
| ``SetTabIndents`(self, tabIndents)` Sets whether a tab pressed when caret is within indentation indents.
| ``SetTabWidth`(self, tabWidth)` Change the visible size of a tab to be a multiple of the width of a space character.
| ``SetTargetEnd`(self, pos)` Sets the position that ends the target which is used for updating the document without affecting the scroll position.
| ``SetTargetStart`(self, pos)` Sets the position that starts the target which is used for updating the document without affecting the scroll position.
| ``SetText`(self, text)` Replace the contents of the document with the argument text.
| ``SetTextRaw`(self, text)` Replace the contents of the document with the argument text.
| ``SetTextUTF8`(self, text)` Replace the contents of the document with the UTF8 text given.
| ``SetTwoPhaseDraw`(self, twoPhase)` In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.
| ``SetUndoCollection`(self, collectUndo)` Choose between collecting actions into the undo history and discarding them.
| ``SetUseAntiAliasing`(self, useAA)` Specify whether anti-aliased fonts should be used.
| ``SetUseHorizontalScrollBar`(self, show)` Show or hide the horizontal scroll bar.
| ``SetUseTabs`(self, useTabs)` Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.
| ``SetUseVerticalScrollBar`(self, show)` Show or hide the vertical scroll bar.
| ``SetViewEOL`(self, visible)` Make the end of line characters visible or invisible.
| ``SetViewWhiteSpace`(self, viewWS)` Make white space characters invisible, always visible or visible outside indentation.
| ``SetVisiblePolicy`(self, visiblePolicy, visibleSlop)` Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.
| ``SetVScrollBar`(self, bar)` Set the vertical scrollbar to use instead of the one that's built-in.
| ``SetWhitespaceBackground`(self, useSetting, back)` Set the background colour of all whitespace and whether to use this setting.
| ``SetWhitespaceChars`(self, characters)` Set the set of characters making up whitespace for when moving or selecting by word.
| ``SetWhitespaceForeground`(self, useSetting, fore)` Set the foreground colour of all whitespace and whether to use this setting.
| ``SetWordChars`(self, characters)` Set the set of characters making up words for when moving or selecting by word.
| ``SetWrapMode`(self, mode)` Sets whether text is word wrapped.
| ``SetWrapStartIndent`(self, indent)` Set the start indent for wrapped lines.
| ``SetWrapVisualFlags`(self, wrapVisualFlags)` Set the display mode of visual flags for wrapped lines.
| ``SetWrapVisualFlagsLocation`(self, wrapVisualFlagsLocation)` Set the location of visual flags for wrapped lines.
| ``SetXCaretPolicy`(self, caretPolicy, caretSlop)` Set the way the caret is kept visible when going sideway.
| ``SetXOffset`(self, newOffset)` Get and Set the xOffset (ie, horizonal scroll position).
| ``SetYCaretPolicy`(self, caretPolicy, caretSlop)` Set the way the line the caret is on is kept visible.
| ``SetZoom`(self, zoom)` Set the zoom level.
| ``ShowLines`(self, lineStart, lineEnd)` Make a range of lines visible.
| ``StartRecord`(self)` Start notifying the container of all key presses and commands.
| ``StartStyling`(self, pos, mask)` Set the current styling position to pos and the styling mask to mask.
| ``StopRecord`(self)` Stop notifying the container of all key presses and commands.
| ``StutteredPageDown`(self)` Move caret to bottom of page, or one page down if already at bottom of page.
| ``StutteredPageDownExtend`(self)` Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.
| ``StutteredPageUp`(self)` Move caret to top of page, or one page up if already at top of page.
| ``StutteredPageUpExtend`(self)` Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.
| ``StyleClearAll`(self)` Clear all the styles and make equivalent to the global default style.
| ``StyleResetDefault`(self)` Reset the default style to its state at startup
| ``StyleSetBackground`(self, style, back)` Set the background colour of a style.
| ``StyleSetBold`(self, style, bold)` Set a style to be bold or not.
| ``StyleSetCase`(self, style, caseForce)` Set a style to be mixed case, or to force upper or lower case.
| ``StyleSetChangeable`(self, style, changeable)` Set a style to be changeable or not (read only).
| ``StyleSetCharacterSet`(self, style, characterSet)` Set the character set of the font in a style.
| ``StyleSetEOLFilled`(self, style, filled)` Set a style to have its end of line filled or not.
| ``StyleSetFaceName`(self, style, fontName)` Set the font of a style.
| ``StyleSetFont`(self, styleNum, font)` Set style size, face, bold, italic, and underline attributes from the attributes of a `wx.Font`.
| ``StyleSetFontAttr`(self, styleNum, size, faceName, bold, italic, underline, encoding)` Set all font style attributes at once.
| ``StyleSetFontEncoding`(self, style, encoding)` Set the font encoding to be used by a style.
| ``StyleSetForeground`(self, style, fore)` Set the foreground colour of a style.
| ``StyleSetHotSpot`(self, style, hotspot)` Set a style to be a hotspot or not.
| ``StyleSetItalic`(self, style, italic)` Set a style to be italic or not.
| ``StyleSetSize`(self, style, sizePoints)` Set the size of characters of a style.
| ``StyleSetSpec`(self, styleNum, spec)` Extract style settings from a spec-string which is composed of one or more of the following comma separated elements:
| ``StyleSetUnderline`(self, style, underline)` Set a style to be underlined or not.
| ``StyleSetVisible`(self, style, visible)` Set a style to be visible or not.
| ``Tab`(self)` If selection is empty or all on one line replace the selection with a tab character.
| ``TargetFromSelection`(self)` Make the target range start and end be the same as the selection range start and end.
int | ``TextHeight`(self, line)` Retrieve the height of a particular line of text in pixels.
int | ``TextWidth`(self, style, text)` Measure the pixel width of some text in a particular style.
| ``ToggleCaretSticky`(self)` Switch between sticky and non-sticky: meant to be bound to a key.
| ``ToggleFold`(self, line)` Switch a header line between expanded and contracted.
| ``Undo`(self)` Undo one action in the undo history.
| ``UpperCase`(self)` Transform the selection to upper case.
| ``UsePopUp`(self, allowPopUp)` Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button.
| ``UserListShow`(self, listType, itemList)` Display a list of strings and send notification when user chooses one.
| ``VCHome`(self)` Move caret to before first visible character on line.
| ``VCHomeExtend`(self)` Like VCHome but extending selection to new caret position.
| ``VCHomeRectExtend`(self)` Move caret to before first visible character on line.
| `VCHomeWrap(self)`
| `VCHomeWrapExtend(self)`
int | ``VisibleFromDocLine`(self, line)` Find the display line of a document line taking hidden lines into account.
int | ``WordEndPosition`(self, pos, onlyWordCharacters)` Get position of end of word.
| ``WordLeft`(self)` Move caret left one word.
| ``WordLeftEnd`(self)` Move caret left one word, position cursor at end of word.
| ``WordLeftEndExtend`(self)` Move caret left one word, position cursor at end of word, extending selection to new caret position.
| ``WordLeftExtend`(self)` Move caret left one word extending selection to new caret position.
| ``WordPartLeft`(self)` Move to the previous change in capitalisation.
| ``WordPartLeftExtend`(self)` Move to the previous change in capitalisation extending selection to new caret position.
| ``WordPartRight`(self)` Move to the change next in capitalisation.
| ``WordPartRightExtend`(self)` Move to the next change in capitalisation extending selection to new caret position.
| ``WordRight`(self)` Move caret right one word.
| ``WordRightEnd`(self)` Move caret right one word, position cursor at end of word.
| ``WordRightEndExtend`(self)` Move caret right one word, position cursor at end of word, extending selection to new caret position.
| ``WordRightExtend`(self)` Move caret right one word extending selection to new caret position.
int | ``WordStartPosition`(self, pos, onlyWordCharacters)` Get position of start of word.
int | ``WrapCount`(self, line)` The number of display lines needed to wrap a document line
| ``ZoomIn`(self)` Magnify the displayed text by increasing the sizes by 1 point.
| ``ZoomOut`(self)` Make the displayed text smaller by decreasing the sizes by 1 point.

Property Summary
| `Anchor`: See `GetAnchor` and `SetAnchor`
| `BackSpaceUnIndents`: See `GetBackSpaceUnIndents` and `SetBackSpaceUnIndents`
| `BufferedDraw`: See `GetBufferedDraw` and `SetBufferedDraw`
| `CaretForeground`: See `GetCaretForeground` and `SetCaretForeground`
| `CaretLineBack`: See `GetCaretLineBack` and `SetCaretLineBack`
| `CaretLineBackAlpha`: See `GetCaretLineBackAlpha` and `SetCaretLineBackAlpha`
| `CaretLineBackground`: See `GetCaretLineBackground` and `SetCaretLineBackground`
| `CaretLineVisible`: See `GetCaretLineVisible` and `SetCaretLineVisible`
| `CaretPeriod`: See `GetCaretPeriod` and `SetCaretPeriod`
| `CaretSticky`: See `GetCaretSticky` and `SetCaretSticky`
| `CaretWidth`: See `GetCaretWidth` and `SetCaretWidth`
| `CodePage`: See `GetCodePage` and `SetCodePage`
| `ControlCharSymbol`: See `GetControlCharSymbol` and `SetControlCharSymbol`
| `CurLine`: See `GetCurLine`
| `CurLineRaw`: See `GetCurLineRaw`
| `CurLineUTF8`: See `GetCurLineUTF8`
| `CurrentLine`: See `GetCurrentLine`
| `CurrentPos`: See `GetCurrentPos` and `SetCurrentPos`
| `DocPointer`: See `GetDocPointer` and `SetDocPointer`
| `EdgeColour`: See `GetEdgeColour` and `SetEdgeColour`
| `EdgeColumn`: See `GetEdgeColumn` and `SetEdgeColumn`
| `EdgeMode`: See `GetEdgeMode` and `SetEdgeMode`
| `EndAtLastLine`: See `GetEndAtLastLine` and `SetEndAtLastLine`
| `EndStyled`: See `GetEndStyled`
| `EOLMode`: See `GetEOLMode` and `SetEOLMode`
| `FirstVisibleLine`: See `GetFirstVisibleLine`
| `HighlightGuide`: See `GetHighlightGuide` and `SetHighlightGuide`
| `Indent`: See `GetIndent` and `SetIndent`
| `IndentationGuides`: See `GetIndentationGuides` and `SetIndentationGuides`
| `LastKeydownProcessed`: See `GetLastKeydownProcessed` and `SetLastKeydownProcessed`
| `LayoutCache`: See `GetLayoutCache` and `SetLayoutCache`
| `Length`: See `GetLength`
| `Lexer`: See `GetLexer` and `SetLexer`
| `LineCount`: See `GetLineCount`
| `MarginLeft`: See `GetMarginLeft` and `SetMarginLeft`
| `MarginRight`: See `GetMarginRight` and `SetMarginRight`
| `MaxLineState`: See `GetMaxLineState`
| `ModEventMask`: See `GetModEventMask` and `SetModEventMask`
| `Modify`: See `GetModify`
| `MouseDownCaptures`: See `GetMouseDownCaptures` and `SetMouseDownCaptures`
| `MouseDwellTime`: See `GetMouseDwellTime` and `SetMouseDwellTime`
| `Overtype`: See `GetOvertype` and `SetOvertype`
| `PasteConvertEndings`: See `GetPasteConvertEndings` and `SetPasteConvertEndings`
| `PrintColourMode`: See `GetPrintColourMode` and `SetPrintColourMode`
| `PrintMagnification`: See `GetPrintMagnification` and `SetPrintMagnification`
| `PrintWrapMode`: See `GetPrintWrapMode` and `SetPrintWrapMode`
| `ReadOnly`: See `GetReadOnly` and `SetReadOnly`
| `ScrollWidth`: See `GetScrollWidth` and `SetScrollWidth`
| `SearchFlags`: See `GetSearchFlags` and `SetSearchFlags`
| `SelAlpha`: See `GetSelAlpha` and `SetSelAlpha`
| `SelectedText`: See `GetSelectedText`
| `SelectedTextRaw`: See `GetSelectedTextRaw`
| `SelectedTextUTF8`: See `GetSelectedTextUTF8`
| `Selection`: See `GetSelection`
| `SelectionEnd`: See `GetSelectionEnd` and `SetSelectionEnd`
| `SelectionMode`: See `GetSelectionMode` and `SetSelectionMode`
| `SelectionStart`: See `GetSelectionStart` and `SetSelectionStart`
| `Status`: See `GetStatus` and `SetStatus`
| `STCCursor`: See `GetSTCCursor` and `SetSTCCursor`
| `STCFocus`: See `GetSTCFocus` and `SetSTCFocus`
| `StyleBits`: See `GetStyleBits` and `SetStyleBits`
| `StyleBitsNeeded`: See `GetStyleBitsNeeded`
| `TabIndents`: See `GetTabIndents` and `SetTabIndents`
| `TabWidth`: See `GetTabWidth` and `SetTabWidth`
| `TargetEnd`: See `GetTargetEnd` and `SetTargetEnd`
| `TargetStart`: See `GetTargetStart` and `SetTargetStart`
| `Text`: See `GetText` and `SetText`
| `TextLength`: See `GetTextLength`
| `TextRaw`: See `GetTextRaw` and `SetTextRaw`
| `TextUTF8`: See `GetTextUTF8` and `SetTextUTF8`
| `thisown`: The membership flag
| `TwoPhaseDraw`: See `GetTwoPhaseDraw` and `SetTwoPhaseDraw`
| `UndoCollection`: See `GetUndoCollection` and `SetUndoCollection`
| `UseAntiAliasing`: See `GetUseAntiAliasing` and `SetUseAntiAliasing`
| `UseHorizontalScrollBar`: See `GetUseHorizontalScrollBar` and `SetUseHorizontalScrollBar`
| `UseTabs`: See `GetUseTabs` and `SetUseTabs`
| `UseVerticalScrollBar`: See `GetUseVerticalScrollBar` and `SetUseVerticalScrollBar`
| `ViewEOL`: See `GetViewEOL` and `SetViewEOL`
| `ViewWhiteSpace`: See `GetViewWhiteSpace` and `SetViewWhiteSpace`
| `WrapMode`: See `GetWrapMode` and `SetWrapMode`
| `WrapStartIndent`: See `GetWrapStartIndent` and `SetWrapStartIndent`
| `WrapVisualFlags`: See `GetWrapVisualFlags` and `SetWrapVisualFlags`
| `WrapVisualFlagsLocation`: See `GetWrapVisualFlagsLocation` and `SetWrapVisualFlagsLocation`
| `XOffset`: See `GetXOffset` and `SetXOffset`
| `Zoom`: See `GetZoom` and `SetZoom`

Instance Method Details

### __init__(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=STCNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### AddRefDocument(self, docPointer)

Extend life of document.

  Parameters:
    `docPointer`
    (type=void)

### AddStyledText(self, data)

Add array of cells to document.

  Parameters:
    `data`
    (type=wxMemoryBuffer)

### AddText(self, text)

Add text to the document at current position.

  Parameters:
    `text`
    (type=String)

### AddTextRaw(self, text)

Add text to the document at current position. The text should be utf-8 encoded on unicode builds of wxPython, or can be any 8-bit text in ansi builds.

  Parameters:
    `text`
    (type=char)

### AddTextUTF8(self, text)

Add UTF8 encoded text to the document at the current position. Works 'natively' in a unicode build of wxPython, and will also work in an ansi build if the UTF8 text is compatible with the current encoding.

### Allocate(self, bytes)

Enlarge the document to a particular size of text bytes.

  Parameters:
    `bytes`
    (type=int)

### AppendText(self, text)

Append a string to the end of the document without changing the selection.

  Parameters:
    `text`
    (type=String)

### AppendTextRaw(self, text)

Append a string to the end of the document without changing the selection. The text should be utf-8 encoded on unicode builds of wxPython, or can be any 8-bit text in ansi builds.

  Parameters:
    `text`
    (type=char)

### AppendTextUTF8(self, text)

Append a UTF8 string to the end of the document without changing the selection. Works 'natively' in a unicode build of wxPython, and will also work in an ansi build if the UTF8 text is compatible with the current encoding.

### AutoCompActive(self)

Is there an auto-completion list visible?

  Returns:
    bool

### AutoCompCancel(self)

Remove the auto-completion list from the screen.

### AutoCompComplete(self)

User has selected an item so remove the list and insert the selection.

### AutoCompGetAutoHide(self)

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

  Returns:
    bool

### AutoCompGetCancelAtStart(self)

Retrieve whether auto-completion cancelled by backspacing before start.

  Returns:
    bool

### AutoCompGetChooseSingle(self)

Retrieve whether a single item auto-completion list automatically choose the item.

  Returns:
    bool

### AutoCompGetCurrent(self)

Get currently selected item position in the auto-completion list

  Returns:
    int

### AutoCompGetDropRestOfWord(self)

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

  Returns:
    bool

### AutoCompGetIgnoreCase(self)

Retrieve state of ignore case flag.

  Returns:
    bool

### AutoCompGetMaxHeight(self)

Set the maximum height, in rows, of auto-completion and user lists.

  Returns:
    int

### AutoCompGetMaxWidth(self)

Get the maximum width, in characters, of auto-completion and user lists.

  Returns:
    int

### AutoCompGetSeparator(self)

Retrieve the auto-completion list separator character.

  Returns:
    int

### AutoCompGetTypeSeparator(self)

Retrieve the auto-completion list type-separator character.

  Returns:
    int

### AutoCompPosStart(self)

Retrieve the position of the caret when the auto-completion list was displayed.

  Returns:
    int

### AutoCompSelect(self, text)

Select the item in the auto-completion list that starts with a string.

  Parameters:
    `text`
    (type=String)

### AutoCompSetAutoHide(self, autoHide)

Set whether or not autocompletion is hidden automatically when nothing matches.

  Parameters:
    `autoHide`
    (type=bool)

### AutoCompSetCancelAtStart(self, cancel)

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

  Parameters:
    `cancel`
    (type=bool)

### AutoCompSetChooseSingle(self, chooseSingle)

Should a single item auto-completion list automatically choose the item.

  Parameters:
    `chooseSingle`
    (type=bool)

### AutoCompSetDropRestOfWord(self, dropRestOfWord)

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

  Parameters:
    `dropRestOfWord`
    (type=bool)

### AutoCompSetFillUps(self, characterSet)

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

  Parameters:
    `characterSet`
    (type=String)

### AutoCompSetIgnoreCase(self, ignoreCase)

Set whether case is significant when performing auto-completion searches.

  Parameters:
    `ignoreCase`
    (type=bool)

### AutoCompSetMaxHeight(self, rowCount)

Set the maximum height, in rows, of auto-completion and user lists. The default is 5 rows.

  Parameters:
    `rowCount`
    (type=int)

### AutoCompSetMaxWidth(self, characterCount)

Set the maximum width, in characters, of auto-completion and user lists. Set to 0 to autosize to fit longest item, which is the default.

  Parameters:
    `characterCount`
    (type=int)

### AutoCompSetSeparator(self, separatorCharacter)

Change the separator character in the string setting up an auto-completion list. Default is space but can be changed if items contain space.

  Parameters:
    `separatorCharacter`
    (type=int)

### AutoCompSetTypeSeparator(self, separatorCharacter)

Change the type-separator character in the string setting up an auto-completion list. Default is '?' but can be changed if items contain '?'.

  Parameters:
    `separatorCharacter`
    (type=int)

### AutoCompShow(self, lenEntered, itemList)

Display a auto-completion list. The lenEntered parameter indicates how many characters before the caret should be used to provide context.

  Parameters:
    `lenEntered`
    (type=int)

    `itemList`
    (type=String)

### AutoCompStops(self, characterSet)

Define a set of character that when typed cancel the auto-completion list.

  Parameters:
    `characterSet`
    (type=String)

### BackTab(self)

Dedent the selected lines.

### BeginUndoAction(self)

Start a sequence of actions that is undone and redone as a unit. May be nested.

### BraceBadLight(self, pos)

Highlight the character at a position indicating there is no matching brace.

  Parameters:
    `pos`
    (type=int)

### BraceHighlight(self, pos1, pos2)

Highlight the characters at two positions.

  Parameters:
    `pos1`
    (type=int)

    `pos2`
    (type=int)

### BraceMatch(self, pos)

Find the position of a matching brace or INVALID_POSITION if no match.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### CallTipActive(self)

Is there an active call tip?

  Returns:
    bool

### CallTipCancel(self)

Remove the call tip from the screen.

### CallTipPosAtStart(self)

Retrieve the position where the caret was before displaying the call tip.

  Returns:
    int

### CallTipSetBackground(self, back)

Set the background colour for the call tip.

  Parameters:
    `back`
    (type=Colour)

### CallTipSetForeground(self, fore)

Set the foreground colour for the call tip.

  Parameters:
    `fore`
    (type=Colour)

### CallTipSetForegroundHighlight(self, fore)

Set the foreground colour for the highlighted part of the call tip.

  Parameters:
    `fore`
    (type=Colour)

### CallTipSetHighlight(self, start, end)

Highlight a segment of the definition.

  Parameters:
    `start`
    (type=int)

    `end`
    (type=int)

### CallTipShow(self, pos, definition)

Show a call tip containing a definition near position pos.

  Parameters:
    `pos`
    (type=int)

    `definition`
    (type=String)

### CallTipUseStyle(self, tabSize)

Enable use of STYLE_CALLTIP and set call tip tab size in pixels.

  Parameters:
    `tabSize`
    (type=int)

### Cancel(self)

Cancel any modes such as call tip or auto-completion list display.

### CanPaste(self)

Will a paste succeed?

  Returns:
    bool

### CanRedo(self)

Are there any redoable actions in the undo history?

  Returns:
    bool

### CanUndo(self)

Are there any undoable actions in the undo history?

  Returns:
    bool

### CharLeft(self)

Move caret left one character.

### CharLeftExtend(self)

Move caret left one character extending selection to new caret position.

### CharLeftRectExtend(self)

Move caret left one character, extending rectangular selection to new caret position.

### CharRight(self)

Move caret right one character.

### CharRightExtend(self)

Move caret right one character extending selection to new caret position.

### CharRightRectExtend(self)

Move caret right one character, extending rectangular selection to new caret position.

### ChooseCaretX(self)

Set the last x chosen value to be the caret x position.

### Clear(self)

Clear the selection.

### ClearAll(self)

Delete all text in the document.

### ClearDocumentStyle(self)

Set all style bytes to 0, remove all folding information.

### ClearRegisteredImages(self)

Clear all the registered images.

### CmdKeyAssign(self, key, modifiers, cmd)

When key+modifier combination km is pressed perform msg.

  Parameters:
    `key`
    (type=int)

    `modifiers`
    (type=int)

    `cmd`
    (type=int)

### CmdKeyClear(self, key, modifiers)

When key+modifier combination km is pressed do nothing.

  Parameters:
    `key`
    (type=int)

    `modifiers`
    (type=int)

### CmdKeyClearAll(self)

Drop all key mappings.

### CmdKeyExecute(self, cmd)

Perform one of the operations defined by the wx.stc.STC_CMD_* constants.

  Parameters:
    `cmd`
    (type=int)

### Colourise(self, start, end)

Colourise a segment of the document using the current lexing language.

  Parameters:
    `start`
    (type=int)

    `end`
    (type=int)

### ConvertEOLs(self, eolMode)

Convert all line endings in the document to one mode.

  Parameters:
    `eolMode`
    (type=int)

### Copy(self)

Copy the selection to the clipboard.

### CopyRange(self, start, end)

Copy a range of text to the clipboard. Positions are clipped into the document.

  Parameters:
    `start`
    (type=int)

    `end`
    (type=int)

### CopyText(self, length, text)

Copy argument text to the clipboard.

  Parameters:
    `length`
    (type=int)

    `text`
    (type=String)

### Create(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0, name=wxSTCNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

### CreateDocument(self)

Create a new document object. Starts with reference count of 1 and not selected into editor.

  Returns:
    void

### Cut(self)

Cut the selection to the clipboard.

### DeleteBack(self)

Delete the selection or if no selection, the character before the caret.

### DeleteBackNotLine(self)

Delete the selection or if no selection, the character before the caret. Will not delete the character before at the start of a line.

### DelLineLeft(self)

Delete back from the current position to the start of the line.

### DelLineRight(self)

Delete forwards from the current position to the end of the line.

### DelWordLeft(self)

Delete the word to the left of the caret.

### DelWordRight(self)

Delete the word to the right of the caret.

### DocLineFromVisible(self, lineDisplay)

Find the document line of a display line taking hidden lines into account.

  Parameters:
    `lineDisplay`
    (type=int)

  Returns:
    int

### DocumentEnd(self)

Move caret to last position in document.

### DocumentEndExtend(self)

Move caret to last position in document extending selection to new caret position.

### DocumentStart(self)

Move caret to first position in document.

### DocumentStartExtend(self)

Move caret to first position in document extending selection to new caret position.

### DoDragOver(self, x, y, def)

Allow for simulating a DnD DragOver.

  Parameters:
    `x`
    (type=int)

    `y`
    (type=int)

    `def`
    (type=int)

  Returns:
    int

### DoDropText(self, x, y, data)

Allow for simulating a DnD DropText.

  Parameters:
    `x`
    (type=long)

    `y`
    (type=long)

    `data`
    (type=String)

  Returns:
    bool

### EditToggleOvertype(self)

Switch from insert to overtype mode or the reverse.

### EmptyUndoBuffer(self)

Delete the undo history.

### EndUndoAction(self)

End a sequence of actions that is undone and redone as a unit.

### EnsureCaretVisible(self)

Ensure the caret is visible.

### EnsureVisible(self, line)

Ensure a particular line is visible by expanding any header line hiding it.

  Parameters:
    `line`
    (type=int)

### EnsureVisibleEnforcePolicy(self, line)

Ensure a particular line is visible by expanding any header line hiding it. Use the currently set visibility policy to determine which range to display.

  Parameters:
    `line`
    (type=int)

### FindColumn(self, line, column)

Find the position of a column on a line taking into account tabs and multi-byte characters. If beyond end of line, return line end position.

  Parameters:
    `line`
    (type=int)

    `column`
    (type=int)

  Returns:
    int

### FindText(self, minPos, maxPos, text, flags=0)

Find some text in the document.

  Parameters:
    `minPos`
    (type=int)

    `maxPos`
    (type=int)

    `text`
    (type=String)

    `flags`
    (type=int)

  Returns:
    int

### FormatRange(self, doDraw, startPos, endPos, draw, target, renderRect, pageRect)

On Windows, will draw the document into a display context such as a printer.

  Parameters:
    `doDraw`
    (type=bool)

    `startPos`
    (type=int)

    `endPos`
    (type=int)

    `draw`
    (type=DC)

    `target`
    (type=DC)

    `renderRect`
    (type=Rect)

    `pageRect`
    (type=Rect)

  Returns:
    int

### FormFeed(self)

Insert a Form Feed character.

### GetAnchor(self)

Returns the position of the opposite end of the selection to the caret.

  Returns:
    int

### GetBackSpaceUnIndents(self)

Does a backspace pressed when caret is within indentation unindent?

  Returns:
    bool

### GetBufferedDraw(self)

Is drawing done first into a buffer or direct to the screen?

  Returns:
    bool

### GetCaretForeground(self)

Get the foreground colour of the caret.

  Returns:
    Colour

### GetCaretLineBack(self)

Get the colour of the background of the line containing the caret.

  Returns:
    Colour

### GetCaretLineBackAlpha(self)

Get the background alpha of the caret line.

  Returns:
    int

### GetCaretLineBackground(self)

Get the colour of the background of the line containing the caret.

  Returns:
    Colour

### GetCaretLineVisible(self)

Is the background of the line containing the caret in a different colour?

  Returns:
    bool

### GetCaretPeriod(self)

Get the time in milliseconds that the caret is on and off.

  Returns:
    int

### GetCaretSticky(self)

Can the caret preferred x position only be changed by explicit movement commands?

  Returns:
    bool

### GetCaretWidth(self)

Returns the width of the insert mode caret.

  Returns:
    int

### GetCharAt(self, pos)

Returns the character byte at the position.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### GetCodePage(self)

Get the code page used to interpret the bytes of the document as characters.

  Returns:
    int

### GetColumn(self, pos)

Retrieve the column number of a position, taking tab width into account.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### GetControlCharSymbol(self)

Get the way control characters are displayed.

  Returns:
    int

### GetCurLine(self)

Retrieve the text of the line containing the caret, and also theindex of the caret on the line.

  Returns:
    (text, pos)

### GetCurLineRaw()

Retrieve the text of the line containing the caret, and also the index of the caret on the line. The returned value is a utf-8 encoded string in unicode builds of wxPython, or raw 8-bit text otherwise.

  Returns:
    (text, index)

### GetCurLineUTF8(self)

Retrieve the UTF8 text of the line containing the caret, and also the index of the caret on the line. In an ansi build of wxPython the text retrieved from the document is assumed to be in the current default encoding.

### GetCurrentLine(self)

Returns the line number of the line with the caret.

  Returns:
    int

### GetCurrentPos(self)

Returns the position of the caret.

  Returns:
    int

### GetDocPointer(self)

Retrieve a pointer to the document object.

  Returns:
    void

### GetEdgeColour(self)

Retrieve the colour used in edge indication.

  Returns:
    Colour

### GetEdgeColumn(self)

Retrieve the column number which text should be kept within.

  Returns:
    int

### GetEdgeMode(self)

Retrieve the edge highlight mode.

  Returns:
    int

### GetEndAtLastLine(self)

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

  Returns:
    bool

### GetEndStyled(self)

Retrieve the position of the last correctly styled character.

  Returns:
    int

### GetEOLMode(self)

Retrieve the current end of line mode - one of CRLF, CR, or LF.

  Returns:
    int

### GetFirstVisibleLine(self)

Retrieve the display line at the top of the display.

  Returns:
    int

### GetFoldExpanded(self, line)

Is a header line expanded?

  Parameters:
    `line`
    (type=int)

  Returns:
    bool

### GetFoldLevel(self, line)

Retrieve the fold level of a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetFoldParent(self, line)

Find the parent line of a child line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetHighlightGuide(self)

Get the highlighted indentation guide column.

  Returns:
    int

### GetIndent(self)

Retrieve indentation size.

  Returns:
    int

### GetIndentationGuides(self)

Are the indentation guides visible?

  Returns:
    bool

### GetLastChild(self, line, level)

Find the last child line of a header line.

  Parameters:
    `line`
    (type=int)

    `level`
    (type=int)

  Returns:
    int

### GetLayoutCache(self)

Retrieve the degree of caching of layout information.

  Returns:
    int

### GetLength(self)

Returns the number of characters in the document.

  Returns:
    int

### GetLexer(self)

Retrieve the lexing language of the document.

  Returns:
    int

### GetLine(self, line)

Retrieve the contents of a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    String

### GetLineCount(self)

Returns the number of lines in the document. There is always at least one.

  Returns:
    int

### GetLineEndPosition(self, line)

Get the position after the last visible characters on a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetLineIndentation(self, line)

Retrieve the number of columns that a line is indented.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetLineIndentPosition(self, line)

Retrieve the position before the first non indentation character on a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetLineRaw(self, line)

Retrieve the contents of a line. The returned value is a utf-8 encoded string in unicode builds of wxPython, or raw 8-bit text otherwise.

  Parameters:
    `line`
    (type=int)

  Returns:
    wxCharBuffer

### GetLineSelEndPosition(self, line)

Retrieve the position of the end of the selection at the given line (INVALID_POSITION if no selection on this line).

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetLineSelStartPosition(self, line)

Retrieve the position of the start of the selection at the given line (INVALID_POSITION if no selection on this line).

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetLineState(self, line)

Retrieve the extra styling information for a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### GetLineUTF8(self, line)

Retrieve the contents of a line as UTF8. In an ansi build of wxPython the text retrieved from the document is assumed to be in the current default encoding.

### GetLineVisible(self, line)

Is a line visible?

  Parameters:
    `line`
    (type=int)

  Returns:
    bool

### GetMarginLeft(self)

Returns the size in pixels of the left margin.

  Returns:
    int

### GetMarginMask(self, margin)

Retrieve the marker mask of a margin.

  Parameters:
    `margin`
    (type=int)

  Returns:
    int

### GetMarginRight(self)

Returns the size in pixels of the right margin.

  Returns:
    int

### GetMarginSensitive(self, margin)

Retrieve the mouse click sensitivity of a margin.

  Parameters:
    `margin`
    (type=int)

  Returns:
    bool

### GetMarginType(self, margin)

Retrieve the type of a margin.

  Parameters:
    `margin`
    (type=int)

  Returns:
    int

### GetMarginWidth(self, margin)

Retrieve the width of a margin in pixels.

  Parameters:
    `margin`
    (type=int)

  Returns:
    int

### GetMaxLineState(self)

Retrieve the last line number that has line state.

  Returns:
    int

### GetModEventMask(self)

Get which document modification events are sent to the container.

  Returns:
    int

### GetModify(self)

Is the document different from when it was last saved?

  Returns:
    bool

### GetMouseDownCaptures(self)

Get whether mouse gets captured.

  Returns:
    bool

### GetMouseDwellTime(self)

Retrieve the time the mouse must sit still to generate a mouse dwell event.

  Returns:
    int

### GetOvertype(self)

Returns true if overtype mode is active otherwise false is returned.

  Returns:
    bool

### GetPasteConvertEndings(self)

Get convert-on-paste setting

  Returns:
    bool

### GetPrintColourMode(self)

Returns the print colour mode.

  Returns:
    int

### GetPrintMagnification(self)

Returns the print magnification.

  Returns:
    int

### GetPrintWrapMode(self)

Is printing line wrapped?

  Returns:
    int

### GetProperty(self, key)

Retrieve a 'property' value previously set with SetProperty.

  Parameters:
    `key`
    (type=String)

  Returns:
    String

### GetPropertyExpanded(self, key)

Retrieve a 'property' value previously set with SetProperty, with '$()' variable replacement on returned buffer.

  Parameters:
    `key`
    (type=String)

  Returns:
    String

### GetPropertyInt(self, key)

Retrieve a 'property' value previously set with SetProperty, interpreted as an int AFTER any '$()' variable replacement.

  Parameters:
    `key`
    (type=String)

  Returns:
    int

### GetReadOnly(self)

In read-only mode?

  Returns:
    bool

### GetScrollWidth(self)

Retrieve the document width assumed for scrolling.

  Returns:
    int

### GetSearchFlags(self)

Get the search flags used by SearchInTarget.

  Returns:
    int

### GetSelAlpha(self)

Get the alpha of the selection.

  Returns:
    int

### GetSelectedText(self)

Retrieve the selected text.

  Returns:
    String

### GetSelectedTextRaw(self)

Retrieve the selected text. The returned value is a utf-8 encoded string in unicode builds of wxPython, or raw 8-bit text otherwise.

  Returns:
    wxCharBuffer

### GetSelectedTextUTF8(self)

Retrieve the selected text as UTF8. In an ansi build of wxPython the text retrieved from the document is assumed to be in the current default encoding.

### GetSelection(self)

Retrieve the start and end positions of the current selection.

  Returns:
    (startPos, endPos)

### GetSelectionEnd(self)

Returns the position at the end of the selection.

  Returns:
    int

### GetSelectionMode(self)

Get the mode of the current selection.

  Returns:
    int

### GetSelectionStart(self)

Returns the position at the start of the selection.

  Returns:
    int

### GetStatus(self)

Get error status.

  Returns:
    int

### GetSTCCursor(self)

Get cursor type.

  Returns:
    int

### GetSTCFocus(self)

Get internal focus flag.

  Returns:
    bool

### GetStyleAt(self, pos)

Returns the style byte at the position.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### GetStyleBits(self)

Retrieve number of bits in style bytes used to hold the lexical state.

  Returns:
    int

### GetStyleBitsNeeded(self)

Retrieve the number of bits the current lexer needs for styling.

  Returns:
    int

### GetStyledText(self, startPos, endPos)

Retrieve a buffer of cells.

  Parameters:
    `startPos`
    (type=int)

    `endPos`
    (type=int)

  Returns:
    wxMemoryBuffer

### GetTabIndents(self)

Does a tab pressed when caret is within indentation indent?

  Returns:
    bool

### GetTabWidth(self)

Retrieve the visible size of a tab.

  Returns:
    int

### GetTargetEnd(self)

Get the position that ends the target.

  Returns:
    int

### GetTargetStart(self)

Get the position that starts the target.

  Returns:
    int

### GetText(self)

Retrieve all the text in the document.

  Returns:
    String

### GetTextLength(self)

Retrieve the number of characters in the document.

  Returns:
    int

### GetTextRange(self, startPos, endPos)

Retrieve a range of text.

  Parameters:
    `startPos`
    (type=int)

    `endPos`
    (type=int)

  Returns:
    String

### GetTextRangeRaw(self, startPos, endPos)

Retrieve a range of text. The returned value is a utf-8 encoded string in unicode builds of wxPython, or raw 8-bit text otherwise.

  Parameters:
    `startPos`
    (type=int)

    `endPos`
    (type=int)

  Returns:
    wxCharBuffer

### GetTextRangeUTF8(self, startPos, endPos)

Retrieve a range of text as UTF8. In an ansi build of wxPython the text retrieved from the document is assumed to be in the current default encoding.

### GetTextRaw(self)

Retrieve all the text in the document. The returned value is a utf-8 encoded string in unicode builds of wxPython, or raw 8-bit text otherwise.

  Returns:
    wxCharBuffer

### GetTextUTF8(self)

Retrieve all the text in the document as UTF8. In an ansi build of wxPython the text retrieved from the document is assumed to be in the current default encoding.

### GetTwoPhaseDraw(self)

Is drawing done in two phases with backgrounds drawn before foregrounds?

  Returns:
    bool

### GetUndoCollection(self)

Is undo history being collected?

  Returns:
    bool

### GetUseAntiAliasing(self)

Returns the current UseAntiAliasing setting.

  Returns:
    bool

### GetUseHorizontalScrollBar(self)

Is the horizontal scroll bar visible?

  Returns:
    bool

### GetUseTabs(self)

Retrieve whether tabs will be used in indentation.

  Returns:
    bool

### GetUseVerticalScrollBar(self)

Is the vertical scroll bar visible?

  Returns:
    bool

### GetViewEOL(self)

Are the end of line characters visible?

  Returns:
    bool

### GetViewWhiteSpace(self)

Are white space characters currently visible? Returns one of SCWS_* constants.

  Returns:
    int

### GetWrapMode(self)

Retrieve whether text is word wrapped.

  Returns:
    int

### GetWrapStartIndent(self)

Retrive the start indent for wrapped lines.

  Returns:
    int

### GetWrapVisualFlags(self)

Retrive the display mode of visual flags for wrapped lines.

  Returns:
    int

### GetWrapVisualFlagsLocation(self)

Retrive the location of visual flags for wrapped lines.

  Returns:
    int

### GetZoom(self)

Retrieve the zoom level.

  Returns:
    int

### GotoLine(self, line)

Set caret to start of a line and ensure it is visible.

  Parameters:
    `line`
    (type=int)

### GotoPos(self, pos)

Set caret to a position and ensure it is visible.

  Parameters:
    `pos`
    (type=int)

### HideLines(self, lineStart, lineEnd)

Make a range of lines invisible.

  Parameters:
    `lineStart`
    (type=int)

    `lineEnd`
    (type=int)

### HideSelection(self, normal)

Draw the selection in normal style or with selection highlighted.

  Parameters:
    `normal`
    (type=bool)

### Home(self)

Move caret to first position on line.

### HomeDisplay(self)

Move caret to first position on display line.

### HomeDisplayExtend(self)

Move caret to first position on display line extending selection to new caret position.

### HomeExtend(self)

Move caret to first position on line extending selection to new caret position.

### HomeRectExtend(self)

Move caret to first position on line, extending rectangular selection to new caret position.

### HomeWrap(self)

These are like their namesakes Home(Extend)?, LineEnd(Extend)?, VCHome(Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home|LineEnd)Display The difference is that, the cursor is already at the point, it goes on to the start or end of the document line, as appropriate for (Home|LineEnd|VCHome)(Extend)?.

### IndicatorGetForeground(self, indic)

Retrieve the foreground colour of an indicator.

  Parameters:
    `indic`
    (type=int)

  Returns:
    Colour

### IndicatorGetStyle(self, indic)

Retrieve the style of an indicator.

  Parameters:
    `indic`
    (type=int)

  Returns:
    int

### IndicatorSetForeground(self, indic, fore)

Set the foreground colour of an indicator.

  Parameters:
    `indic`
    (type=int)

    `fore`
    (type=Colour)

### IndicatorSetStyle(self, indic, style)

Set an indicator to plain, squiggle or TT.

  Parameters:
    `indic`
    (type=int)

    `style`
    (type=int)

### InsertText(self, pos, text)

Insert string at a position.

  Parameters:
    `pos`
    (type=int)

    `text`
    (type=String)

### InsertTextRaw(self, pos, text)

Insert string at a position. The text should be utf-8 encoded on unicode builds of wxPython, or can be any 8-bit text in ansi builds.

  Parameters:
    `pos`
    (type=int)

    `text`
    (type=char)

### InsertTextUTF8(self, pos, text)

Insert UTF8 encoded text at a position. Works 'natively' in a unicode build of wxPython, and will also work in an ansi build if the UTF8 text is compatible with the current encoding.

### LineCopy(self)

Copy the line containing the caret.

### LineCut(self)

Cut the line containing the caret.

### LineDelete(self)

Delete the line containing the caret.

### LineDown(self)

Move caret down one line.

  Overrides:
    `wx.Window.LineDown`

### LineDownExtend(self)

Move caret down one line extending selection to new caret position.

### LineDownRectExtend(self)

Move caret down one line, extending rectangular selection to new caret position.

### LineDuplicate(self)

Duplicate the current line.

### LineEnd(self)

Move caret to last position on line.

### LineEndDisplay(self)

Move caret to last position on display line.

### LineEndDisplayExtend(self)

Move caret to last position on display line extending selection to new caret position.

### LineEndExtend(self)

Move caret to last position on line extending selection to new caret position.

### LineEndRectExtend(self)

Move caret to last position on line, extending rectangular selection to new caret position.

### LineFromPosition(self, pos)

Retrieve the line containing a position.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### LineLength(self, line)

How many characters are on a line, not including end of line characters?

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### LineScroll(self, columns, lines)

Scroll horizontally and vertically.

  Parameters:
    `columns`
    (type=int)

    `lines`
    (type=int)

### LineScrollDown(self)

Scroll the document down, keeping the caret visible.

### LineScrollUp(self)

Scroll the document up, keeping the caret visible.

### LinesJoin(self)

Join the lines in the target.

### LinesOnScreen(self)

Retrieves the number of lines completely visible.

  Returns:
    int

### LinesSplit(self, pixelWidth)

Split the lines in the target into lines that are less wide than pixelWidth where possible.

  Parameters:
    `pixelWidth`
    (type=int)

### LineTranspose(self)

Switch the current line with the previous.

### LineUp(self)

Move caret up one line.

  Overrides:
    `wx.Window.LineUp`

### LineUpExtend(self)

Move caret up one line extending selection to new caret position.

### LineUpRectExtend(self)

Move caret up one line, extending rectangular selection to new caret position.

### LoadFile(self, filename)

Load the contents of filename into the editor

  Parameters:
    `filename`
    (type=String)

  Returns:
    bool

### LowerCase(self)

Transform the selection to lower case.

### MarkerAdd(self, line, markerNumber)

Add a marker to a line, returning an ID which can be used to find or delete the marker.

  Parameters:
    `line`
    (type=int)

    `markerNumber`
    (type=int)

  Returns:
    int

### MarkerAddSet(self, line, set)

Add a set of markers to a line.

  Parameters:
    `line`
    (type=int)

    `set`
    (type=int)

### MarkerDefine(self, markerNumber, markerSymbol, foreground=wxNullColour, background=wxNullColour)

Set the symbol used for a particular marker number, and optionally the fore and background colours.

  Parameters:
    `markerNumber`
    (type=int)

    `markerSymbol`
    (type=int)

    `foreground`
    (type=Colour)

    `background`
    (type=Colour)

### MarkerDefineBitmap(self, markerNumber, bmp)

Define a marker from a bitmap

  Parameters:
    `markerNumber`
    (type=int)

    `bmp`
    (type=Bitmap)

### MarkerDelete(self, line, markerNumber)

Delete a marker from a line.

  Parameters:
    `line`
    (type=int)

    `markerNumber`
    (type=int)

### MarkerDeleteAll(self, markerNumber)

Delete all markers with a particular number from all lines.

  Parameters:
    `markerNumber`
    (type=int)

### MarkerDeleteHandle(self, handle)

Delete a marker.

  Parameters:
    `handle`
    (type=int)

### MarkerGet(self, line)

Get a bit mask of all the markers set on a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### MarkerLineFromHandle(self, handle)

Retrieve the line number at which a particular marker is located.

  Parameters:
    `handle`
    (type=int)

  Returns:
    int

### MarkerNext(self, lineStart, markerMask)

Find the next line after lineStart that includes a marker in mask.

  Parameters:
    `lineStart`
    (type=int)

    `markerMask`
    (type=int)

  Returns:
    int

### MarkerPrevious(self, lineStart, markerMask)

Find the previous line before lineStart that includes a marker in mask.

  Parameters:
    `lineStart`
    (type=int)

    `markerMask`
    (type=int)

  Returns:
    int

### MarkerSetAlpha(self, markerNumber, alpha)

Set the alpha used for a marker that is drawn in the text area, not the margin.

  Parameters:
    `markerNumber`
    (type=int)

    `alpha`
    (type=int)

### MarkerSetBackground(self, markerNumber, back)

Set the background colour used for a particular marker number.

  Parameters:
    `markerNumber`
    (type=int)

    `back`
    (type=Colour)

### MarkerSetForeground(self, markerNumber, fore)

Set the foreground colour used for a particular marker number.

  Parameters:
    `markerNumber`
    (type=int)

    `fore`
    (type=Colour)

### MoveCaretInsideView(self)

Move the caret inside current view if it's not there already.

### NewLine(self)

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

### PageDown(self)

Move caret one page down.

  Overrides:
    `wx.Window.PageDown`

### PageDownExtend(self)

Move caret one page down extending selection to new caret position.

### PageDownRectExtend(self)

Move caret one page down, extending rectangular selection to new caret position.

### PageUp(self)

Move caret one page up.

  Overrides:
    `wx.Window.PageUp`

### PageUpExtend(self)

Move caret one page up extending selection to new caret position.

### PageUpRectExtend(self)

Move caret one page up, extending rectangular selection to new caret position.

### ParaDown(self)

Move caret between paragraphs (delimited by empty lines).

### Paste(self)

Paste the contents of the clipboard into the document replacing the selection.

### PointFromPosition(self, pos)

Retrieve the point in the window where a position is displayed.

  Parameters:
    `pos`
    (type=int)

  Returns:
    Point

### PositionAfter(self, pos)

Given a valid document position, return the next position taking code page into account. Maximum value returned is the last position in the document.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### PositionBefore(self, pos)

Given a valid document position, return the previous position taking code page into account. Returns 0 if passed 0.

  Parameters:
    `pos`
    (type=int)

  Returns:
    int

### PositionFromLine(self, line)

Retrieve the position at the start of a line.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### PositionFromPoint(self, pt)

Find the position from a point within the window.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    int

### PositionFromPointClose(self, x, y)

Find the position from a point within the window but return INVALID_POSITION if not close to text.

  Parameters:
    `x`
    (type=int)

    `y`
    (type=int)

  Returns:
    int

### Redo(self)

Redoes the next action on the undo history.

### RegisterImage(self, type, bmp)

Register an image for use in autocompletion lists.

  Parameters:
    `type`
    (type=int)

    `bmp`
    (type=Bitmap)

### ReleaseDocument(self, docPointer)

Release a reference to the document, deleting document if it fades to black.

  Parameters:
    `docPointer`
    (type=void)

### ReplaceSelection(self, text)

Replace the selected text with the argument text.

  Parameters:
    `text`
    (type=String)

### ReplaceTarget(self, text)

Replace the target text with the argument text. Text is counted so it can contain NULs. Returns the length of the replacement text.

  Parameters:
    `text`
    (type=String)

  Returns:
    int

### ReplaceTargetRE(self, text)

Replace the target text with the argument text after d processing. Text is counted so it can contain NULs. Looks for d where d is between 1 and 9 and replaces these with the strings matched in the last search operation which were surrounded by ( and ). Returns the length of the replacement text including any change caused by processing the d patterns.

  Parameters:
    `text`
    (type=String)

  Returns:
    int

### SaveFile(self, filename)

Write the contents of the editor to filename

  Parameters:
    `filename`
    (type=String)

  Returns:
    bool

### ScrollToColumn(self, column)

Scroll enough to make the given column visible

  Parameters:
    `column`
    (type=int)

### ScrollToLine(self, line)

Scroll enough to make the given line visible.

  Parameters:
    `line`
    (type=int)

### SearchAnchor(self)

Sets the current caret position to be the search anchor.

### SearchInTarget(self, text)

Search for a counted string in the target and set the target to the found range. Text is counted so it can contain NULs. Returns length of range or -1 for failure in which case target is not moved.

  Parameters:
    `text`
    (type=String)

  Returns:
    int

### SearchNext(self, flags, text)

Find some text starting at the search anchor. Does not ensure the selection is visible.

  Parameters:
    `flags`
    (type=int)

    `text`
    (type=String)

  Returns:
    int

### SearchPrev(self, flags, text)

Find some text starting at the search anchor and moving backwards. Does not ensure the selection is visible.

  Parameters:
    `flags`
    (type=int)

    `text`
    (type=String)

  Returns:
    int

### SelectAll(self)

Select all the text in the document.

### SelectionDuplicate(self)

Duplicate the selection. If selection empty duplicate the line containing the caret.

### SelectionIsRectangle(self)

Is the selection rectangular? The alternative is the more common stream selection.

  Returns:
    bool

### SendMsg(self, msg, wp=0, lp=0)

Send a message to Scintilla.

  Parameters:
    `msg`
    (type=int)

    `wp`
    (type=long)

    `lp`
    (type=long)

  Returns:
    long

### SetAnchor(self, posAnchor)

Set the selection anchor to a position. The anchor is the opposite end of the selection from the caret.

  Parameters:
    `posAnchor`
    (type=int)

### SetBackSpaceUnIndents(self, bsUnIndents)

Sets whether a backspace pressed when caret is within indentation unindents.

  Parameters:
    `bsUnIndents`
    (type=bool)

### SetBufferedDraw(self, buffered)

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

  Parameters:
    `buffered`
    (type=bool)

### SetCaretForeground(self, fore)

Set the foreground colour of the caret.

  Parameters:
    `fore`
    (type=Colour)

### SetCaretLineBack(self, back)

Set the colour of the background of the line containing the caret.

  Parameters:
    `back`
    (type=Colour)

### SetCaretLineBackAlpha(self, alpha)

Set background alpha of the caret line.

  Parameters:
    `alpha`
    (type=int)

### SetCaretLineBackground(self, back)

Set the colour of the background of the line containing the caret.

  Parameters:
    `back`
    (type=Colour)

### SetCaretLineVisible(self, show)

Display the background of the line containing the caret in a different colour.

  Parameters:
    `show`
    (type=bool)

### SetCaretPeriod(self, periodMilliseconds)

Get the time in milliseconds that the caret is on and off. 0 = steady on.

  Parameters:
    `periodMilliseconds`
    (type=int)

### SetCaretSticky(self, useCaretStickyBehaviour)

Stop the caret preferred x position changing when the user types.

  Parameters:
    `useCaretStickyBehaviour`
    (type=bool)

### SetCaretWidth(self, pixelWidth)

Set the width of the insert mode caret.

  Parameters:
    `pixelWidth`
    (type=int)

### SetCharsDefault(self)

Reset the set of characters for whitespace and word characters to the defaults.

### SetCodePage(self, codePage)

Set the code page used to interpret the bytes of the document as characters.

  Parameters:
    `codePage`
    (type=int)

### SetControlCharSymbol(self, symbol)

Change the way control characters are displayed: If symbol is < 32, keep the drawn way, else, use the given character.

  Parameters:
    `symbol`
    (type=int)

### SetCurrentPos(self, pos)

Sets the position of the caret.

  Parameters:
    `pos`
    (type=int)

### SetDocPointer(self, docPointer)

Change the document object used.

  Parameters:
    `docPointer`
    (type=void)

### SetEdgeColour(self, edgeColour)

Change the colour used in edge indication.

  Parameters:
    `edgeColour`
    (type=Colour)

### SetEdgeColumn(self, column)

Set the column number of the edge. If text goes past the edge then it is highlighted.

  Parameters:
    `column`
    (type=int)

### SetEdgeMode(self, mode)

The edge may be displayed by a line (EDGE_LINE) or by highlighting text that goes beyond it (EDGE_BACKGROUND) or not displayed at all (EDGE_NONE).

  Parameters:
    `mode`
    (type=int)

### SetEndAtLastLine(self, endAtLastLine)

Sets the scroll range so that maximum scroll position has the last line at the bottom of the view (default). Setting this to false allows scrolling one page below the last line.

  Parameters:
    `endAtLastLine`
    (type=bool)

### SetEOLMode(self, eolMode)

Set the current end of line mode.

  Parameters:
    `eolMode`
    (type=int)

### SetFoldExpanded(self, line, expanded)

Show the children of a header line.

  Parameters:
    `line`
    (type=int)

    `expanded`
    (type=bool)

### SetFoldFlags(self, flags)

Set some style options for folding.

  Parameters:
    `flags`
    (type=int)

### SetFoldLevel(self, line, level)

Set the fold level of a line. This encodes an integer level along with flags indicating whether the line is a header and whether it is effectively white space.

  Parameters:
    `line`
    (type=int)

    `level`
    (type=int)

### SetFoldMarginColour(self, useSetting, back)

Set the colours used as a chequerboard pattern in the fold margin

  Parameters:
    `useSetting`
    (type=bool)

    `back`
    (type=Colour)

### SetHighlightGuide(self, column)

Set the highlighted indentation guide column. 0 = no highlighted guide.

  Parameters:
    `column`
    (type=int)

### SetHotspotActiveBackground(self, useSetting, back)

Set a back colour for active hotspots.

  Parameters:
    `useSetting`
    (type=bool)

    `back`
    (type=Colour)

### SetHotspotActiveForeground(self, useSetting, fore)

Set a fore colour for active hotspots.

  Parameters:
    `useSetting`
    (type=bool)

    `fore`
    (type=Colour)

### SetHotspotActiveUnderline(self, underline)

Enable / Disable underlining active hotspots.

  Parameters:
    `underline`
    (type=bool)

### SetHotspotSingleLine(self, singleLine)

Limit hotspots to single line so hotspots on two lines don't merge.

  Parameters:
    `singleLine`
    (type=bool)

### SetHScrollBar(self, bar)

Set the horizontal scrollbar to use instead of the ont that's built-in.

  Parameters:
    `bar`
    (type=wxScrollBar)

### SetIndent(self, indentSize)

Set the number of spaces used for one level of indentation.

  Parameters:
    `indentSize`
    (type=int)

### SetIndentationGuides(self, show)

Show or hide indentation guides.

  Parameters:
    `show`
    (type=bool)

### SetKeyWords(self, keywordSet, keyWords)

Set up the key words used by the lexer.

  Parameters:
    `keywordSet`
    (type=int)

    `keyWords`
    (type=String)

### SetLayoutCache(self, mode)

Sets the degree of caching of layout information.

  Parameters:
    `mode`
    (type=int)

### SetLexer(self, lexer)

Set the lexing language of the document.

  Parameters:
    `lexer`
    (type=int)

### SetLexerLanguage(self, language)

Set the lexing language of the document based on string name.

  Parameters:
    `language`
    (type=String)

### SetLineIndentation(self, line, indentSize)

Change the indentation of a line to a number of columns.

  Parameters:
    `line`
    (type=int)

    `indentSize`
    (type=int)

### SetLineState(self, line, state)

Used to hold extra styling information for each line.

  Parameters:
    `line`
    (type=int)

    `state`
    (type=int)

### SetMarginLeft(self, pixelWidth)

Sets the size in pixels of the left margin.

  Parameters:
    `pixelWidth`
    (type=int)

### SetMarginMask(self, margin, mask)

Set a mask that determines which markers are displayed in a margin.

  Parameters:
    `margin`
    (type=int)

    `mask`
    (type=int)

### SetMarginRight(self, pixelWidth)

Sets the size in pixels of the right margin.

  Parameters:
    `pixelWidth`
    (type=int)

### SetMargins(self, left, right)

Set the left and right margin in the edit area, measured in pixels.

  Parameters:
    `left`
    (type=int)

    `right`
    (type=int)

### SetMarginSensitive(self, margin, sensitive)

Make a margin sensitive or insensitive to mouse clicks.

  Parameters:
    `margin`
    (type=int)

    `sensitive`
    (type=bool)

### SetMarginType(self, margin, marginType)

Set a margin to be either numeric or symbolic.

  Parameters:
    `margin`
    (type=int)

    `marginType`
    (type=int)

### SetMarginWidth(self, margin, pixelWidth)

Set the width of a margin to a width expressed in pixels.

  Parameters:
    `margin`
    (type=int)

    `pixelWidth`
    (type=int)

### SetModEventMask(self, mask)

Set which document modification events are sent to the container.

  Parameters:
    `mask`
    (type=int)

### SetMouseDownCaptures(self, captures)

Set whether the mouse is captured when its button is pressed.

  Parameters:
    `captures`
    (type=bool)

### SetMouseDwellTime(self, periodMilliseconds)

Sets the time the mouse must sit still to generate a mouse dwell event.

  Parameters:
    `periodMilliseconds`
    (type=int)

### SetOvertype(self, overtype)

Set to overtype (true) or insert mode.

  Parameters:
    `overtype`
    (type=bool)

### SetPasteConvertEndings(self, convert)

Enable/Disable convert-on-paste for line endings

  Parameters:
    `convert`
    (type=bool)

### SetPrintColourMode(self, mode)

Modify colours when printing for clearer printed text.

  Parameters:
    `mode`
    (type=int)

### SetPrintMagnification(self, magnification)

Sets the print magnification added to the point size of each style for printing.

  Parameters:
    `magnification`
    (type=int)

### SetPrintWrapMode(self, mode)

Set printing to line wrapped (SC_WRAP_WORD) or not line wrapped (SC_WRAP_NONE).

  Parameters:
    `mode`
    (type=int)

### SetProperty(self, key, value)

Set up a value that may be used by a lexer for some optional feature.

  Parameters:
    `key`
    (type=String)

    `value`
    (type=String)

### SetReadOnly(self, readOnly)

Set to read only or read write.

  Parameters:
    `readOnly`
    (type=bool)

### SetSavePoint(self)

Remember the current position in the undo history as the position at which the document was saved.

### SetScrollWidth(self, pixelWidth)

Sets the document width assumed for scrolling.

  Parameters:
    `pixelWidth`
    (type=int)

### SetSearchFlags(self, flags)

Set the search flags used by SearchInTarget.

  Parameters:
    `flags`
    (type=int)

### SetSelAlpha(self, alpha)

Set the alpha of the selection.

  Parameters:
    `alpha`
    (type=int)

### SetSelBackground(self, useSetting, back)

Set the background colour of the selection and whether to use this setting.

  Parameters:
    `useSetting`
    (type=bool)

    `back`
    (type=Colour)

### SetSelection(self, start, end)

Select a range of text.

  Parameters:
    `start`
    (type=int)

    `end`
    (type=int)

### SetSelectionEnd(self, pos)

Sets the position that ends the selection - this becomes the currentPosition.

  Parameters:
    `pos`
    (type=int)

### SetSelectionMode(self, mode)

Set the selection mode to stream (SC_SEL_STREAM) or rectangular (SC_SEL_RECTANGLE) or by lines (SC_SEL_LINES).

  Parameters:
    `mode`
    (type=int)

### SetSelectionStart(self, pos)

Sets the position that starts the selection - this becomes the anchor.

  Parameters:
    `pos`
    (type=int)

### SetSelForeground(self, useSetting, fore)

Set the foreground colour of the selection and whether to use this setting.

  Parameters:
    `useSetting`
    (type=bool)

    `fore`
    (type=Colour)

### SetStatus(self, statusCode)

Change error status - 0 = OK.

  Parameters:
    `statusCode`
    (type=int)

### SetSTCCursor(self, cursorType)

Sets the cursor to one of the SC_CURSOR* values.

  Parameters:
    `cursorType`
    (type=int)

### SetSTCFocus(self, focus)

Change internal focus flag.

  Parameters:
    `focus`
    (type=bool)

### SetStyleBits(self, bits)

Divide each styling byte into lexical class bits (default: 5) and indicator bits (default: 3). If a lexer requires more than 32 lexical states, then this is used to expand the possible states.

  Parameters:
    `bits`
    (type=int)

### SetStyleBytes(self, length, styleBytes)

Set the styles for a segment of the document.

  Parameters:
    `length`
    (type=int)

    `styleBytes`
    (type=char)

### SetStyling(self, length, style)

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

  Parameters:
    `length`
    (type=int)

    `style`
    (type=int)

### SetTabIndents(self, tabIndents)

Sets whether a tab pressed when caret is within indentation indents.

  Parameters:
    `tabIndents`
    (type=bool)

### SetTabWidth(self, tabWidth)

Change the visible size of a tab to be a multiple of the width of a space character.

  Parameters:
    `tabWidth`
    (type=int)

### SetTargetEnd(self, pos)

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

  Parameters:
    `pos`
    (type=int)

### SetTargetStart(self, pos)

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

  Parameters:
    `pos`
    (type=int)

### SetText(self, text)

Replace the contents of the document with the argument text.

  Parameters:
    `text`
    (type=String)

### SetTextRaw(self, text)

Replace the contents of the document with the argument text. The text should be utf-8 encoded on unicode builds of wxPython, or can be any 8-bit text in ansi builds.

  Parameters:
    `text`
    (type=char)

### SetTextUTF8(self, text)

Replace the contents of the document with the UTF8 text given. Works 'natively' in a unicode build of wxPython, and will also work in an ansi build if the UTF8 text is compatible with the current encoding.

### SetTwoPhaseDraw(self, twoPhase)

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground. This avoids chopping off characters that overlap the next run.

  Parameters:
    `twoPhase`
    (type=bool)

### SetUndoCollection(self, collectUndo)

Choose between collecting actions into the undo history and discarding them.

  Parameters:
    `collectUndo`
    (type=bool)

### SetUseAntiAliasing(self, useAA)

Specify whether anti-aliased fonts should be used. Will have no effect on some platforms, but on some (wxMac for example) can greatly improve performance.

  Parameters:
    `useAA`
    (type=bool)

### SetUseHorizontalScrollBar(self, show)

Show or hide the horizontal scroll bar.

  Parameters:
    `show`
    (type=bool)

### SetUseTabs(self, useTabs)

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

  Parameters:
    `useTabs`
    (type=bool)

### SetUseVerticalScrollBar(self, show)

Show or hide the vertical scroll bar.

  Parameters:
    `show`
    (type=bool)

### SetViewEOL(self, visible)

Make the end of line characters visible or invisible.

  Parameters:
    `visible`
    (type=bool)

### SetViewWhiteSpace(self, viewWS)

Make white space characters invisible, always visible or visible outside indentation.

  Parameters:
    `viewWS`
    (type=int)

### SetVisiblePolicy(self, visiblePolicy, visibleSlop)

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

  Parameters:
    `visiblePolicy`
    (type=int)

    `visibleSlop`
    (type=int)

### SetVScrollBar(self, bar)

Set the vertical scrollbar to use instead of the one that's built-in.

  Parameters:
    `bar`
    (type=wxScrollBar)

### SetWhitespaceBackground(self, useSetting, back)

Set the background colour of all whitespace and whether to use this setting.

  Parameters:
    `useSetting`
    (type=bool)

    `back`
    (type=Colour)

### SetWhitespaceChars(self, characters)

Set the set of characters making up whitespace for when moving or selecting by word. Should be called after SetWordChars.

  Parameters:
    `characters`
    (type=String)

### SetWhitespaceForeground(self, useSetting, fore)

Set the foreground colour of all whitespace and whether to use this setting.

  Parameters:
    `useSetting`
    (type=bool)

    `fore`
    (type=Colour)

### SetWordChars(self, characters)

Set the set of characters making up words for when moving or selecting by word. First sets deaults like SetCharsDefault.

  Parameters:
    `characters`
    (type=String)

### SetWrapMode(self, mode)

Sets whether text is word wrapped.

  Parameters:
    `mode`
    (type=int)

### SetWrapStartIndent(self, indent)

Set the start indent for wrapped lines.

  Parameters:
    `indent`
    (type=int)

### SetWrapVisualFlags(self, wrapVisualFlags)

Set the display mode of visual flags for wrapped lines.

  Parameters:
    `wrapVisualFlags`
    (type=int)

### SetWrapVisualFlagsLocation(self, wrapVisualFlagsLocation)

Set the location of visual flags for wrapped lines.

  Parameters:
    `wrapVisualFlagsLocation`
    (type=int)

### SetXCaretPolicy(self, caretPolicy, caretSlop)

Set the way the caret is kept visible when going sideway. The exclusion zone is given in pixels.

  Parameters:
    `caretPolicy`
    (type=int)

    `caretSlop`
    (type=int)

### SetXOffset(self, newOffset)

Get and Set the xOffset (ie, horizonal scroll position).

  Parameters:
    `newOffset`
    (type=int)

### SetYCaretPolicy(self, caretPolicy, caretSlop)

Set the way the line the caret is on is kept visible. The exclusion zone is given in lines.

  Parameters:
    `caretPolicy`
    (type=int)

    `caretSlop`
    (type=int)

### SetZoom(self, zoom)

Set the zoom level. This number of points is added to the size of all fonts. It may be positive to magnify or negative to reduce.

  Parameters:
    `zoom`
    (type=int)

### ShowLines(self, lineStart, lineEnd)

Make a range of lines visible.

  Parameters:
    `lineStart`
    (type=int)

    `lineEnd`
    (type=int)

### StartRecord(self)

Start notifying the container of all key presses and commands.

### StartStyling(self, pos, mask)

Set the current styling position to pos and the styling mask to mask. The styling mask can be used to protect some bits in each styling byte from modification.

  Parameters:
    `pos`
    (type=int)

    `mask`
    (type=int)

### StopRecord(self)

Stop notifying the container of all key presses and commands.

### StutteredPageDown(self)

Move caret to bottom of page, or one page down if already at bottom of page.

### StutteredPageDownExtend(self)

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

### StutteredPageUp(self)

Move caret to top of page, or one page up if already at top of page.

### StutteredPageUpExtend(self)

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

### StyleClearAll(self)

Clear all the styles and make equivalent to the global default style.

### StyleResetDefault(self)

Reset the default style to its state at startup

### StyleSetBackground(self, style, back)

Set the background colour of a style.

  Parameters:
    `style`
    (type=int)

    `back`
    (type=Colour)

### StyleSetBold(self, style, bold)

Set a style to be bold or not.

  Parameters:
    `style`
    (type=int)

    `bold`
    (type=bool)

### StyleSetCase(self, style, caseForce)

Set a style to be mixed case, or to force upper or lower case.

  Parameters:
    `style`
    (type=int)

    `caseForce`
    (type=int)

### StyleSetChangeable(self, style, changeable)

Set a style to be changeable or not (read only). Experimental feature, currently buggy.

  Parameters:
    `style`
    (type=int)

    `changeable`
    (type=bool)

### StyleSetCharacterSet(self, style, characterSet)

Set the character set of the font in a style. Converts the Scintilla wx.stc.STC_CHARSET_* set values to a wxFontEncoding.

  Parameters:
    `style`
    (type=int)

    `characterSet`
    (type=int)

### StyleSetEOLFilled(self, style, filled)

Set a style to have its end of line filled or not.

  Parameters:
    `style`
    (type=int)

    `filled`
    (type=bool)

### StyleSetFaceName(self, style, fontName)

Set the font of a style.

  Parameters:
    `style`
    (type=int)

    `fontName`
    (type=String)

### StyleSetFont(self, styleNum, font)

Set style size, face, bold, italic, and underline attributes from the attributes of a `wx.Font`.

  Parameters:
    `styleNum`
    (type=int)

    `font`
    (type=Font)

### StyleSetFontAttr(self, styleNum, size, faceName, bold, italic, underline, encoding=wxFONTENCODING_DEFAULT)

Set all font style attributes at once.

  Parameters:
    `styleNum`
    (type=int)

    `size`
    (type=int)

    `faceName`
    (type=String)

    `bold`
    (type=bool)

    `italic`
    (type=bool)

    `underline`
    (type=bool)

    `encoding`
    (type=int)

### StyleSetFontEncoding(self, style, encoding)

Set the font encoding to be used by a style.

  Parameters:
    `style`
    (type=int)

    `encoding`
    (type=int)

### StyleSetForeground(self, style, fore)

Set the foreground colour of a style.

  Parameters:
    `style`
    (type=int)

    `fore`
    (type=Colour)

### StyleSetHotSpot(self, style, hotspot)

Set a style to be a hotspot or not.

  Parameters:
    `style`
    (type=int)

    `hotspot`
    (type=bool)

### StyleSetItalic(self, style, italic)

Set a style to be italic or not.

  Parameters:
    `style`
    (type=int)

    `italic`
    (type=bool)

### StyleSetSize(self, style, sizePoints)

Set the size of characters of a style.

  Parameters:
    `style`
    (type=int)

    `sizePoints`
    (type=int)

### StyleSetSpec(self, styleNum, spec)

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements:

    bold                    turns on bold
    italic                  turns on italics
    fore:[name or #RRGGBB]  sets the foreground colour
    back:[name or #RRGGBB]  sets the background colour
    face:[facename]         sets the font face name to use
    size:[num]              sets the font size in points
    eol                     turns on eol filling
    underline               turns on underlining

  Parameters:
    `styleNum`
    (type=int)

    `spec`
    (type=String)

### StyleSetUnderline(self, style, underline)

Set a style to be underlined or not.

  Parameters:
    `style`
    (type=int)

    `underline`
    (type=bool)

### StyleSetVisible(self, style, visible)

Set a style to be visible or not.

  Parameters:
    `style`
    (type=int)

    `visible`
    (type=bool)

### Tab(self)

If selection is empty or all on one line replace the selection with a tab character. If more than one line selected, indent the lines.

### TargetFromSelection(self)

Make the target range start and end be the same as the selection range start and end.

### TextHeight(self, line)

Retrieve the height of a particular line of text in pixels.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### TextWidth(self, style, text)

Measure the pixel width of some text in a particular style. NUL terminated text argument. Does not handle tab or control characters.

  Parameters:
    `style`
    (type=int)

    `text`
    (type=String)

  Returns:
    int

### ToggleCaretSticky(self)

Switch between sticky and non-sticky: meant to be bound to a key.

### ToggleFold(self, line)

Switch a header line between expanded and contracted.

  Parameters:
    `line`
    (type=int)

### Undo(self)

Undo one action in the undo history.

### UpperCase(self)

Transform the selection to upper case.

### UsePopUp(self, allowPopUp)

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button.

  Parameters:
    `allowPopUp`
    (type=bool)

### UserListShow(self, listType, itemList)

Display a list of strings and send notification when user chooses one.

  Parameters:
    `listType`
    (type=int)

    `itemList`
    (type=String)

### VCHome(self)

Move caret to before first visible character on line. If already there move to first character on line.

### VCHomeExtend(self)

Like VCHome but extending selection to new caret position.

### VCHomeRectExtend(self)

Move caret to before first visible character on line. If already there move to first character on line. In either case, extend rectangular selection to new caret position.

### VisibleFromDocLine(self, line)

Find the display line of a document line taking hidden lines into account.

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### WordEndPosition(self, pos, onlyWordCharacters)

Get position of end of word.

  Parameters:
    `pos`
    (type=int)

    `onlyWordCharacters`
    (type=bool)

  Returns:
    int

### WordLeft(self)

Move caret left one word.

### WordLeftEnd(self)

Move caret left one word, position cursor at end of word.

### WordLeftEndExtend(self)

Move caret left one word, position cursor at end of word, extending selection to new caret position.

### WordLeftExtend(self)

Move caret left one word extending selection to new caret position.

### WordPartLeft(self)

Move to the previous change in capitalisation.

### WordPartLeftExtend(self)

Move to the previous change in capitalisation extending selection to new caret position.

### WordPartRight(self)

Move to the change next in capitalisation.

### WordPartRightExtend(self)

Move to the next change in capitalisation extending selection to new caret position.

### WordRight(self)

Move caret right one word.

### WordRightEnd(self)

Move caret right one word, position cursor at end of word.

### WordRightEndExtend(self)

Move caret right one word, position cursor at end of word, extending selection to new caret position.

### WordRightExtend(self)

Move caret right one word extending selection to new caret position.

### WordStartPosition(self, pos, onlyWordCharacters)

Get position of start of word.

  Parameters:
    `pos`
    (type=int)

    `onlyWordCharacters`
    (type=bool)

  Returns:
    int

### WrapCount(self, line)

The number of display lines needed to wrap a document line

  Parameters:
    `line`
    (type=int)

  Returns:
    int

### ZoomIn(self)

Magnify the displayed text by increasing the sizes by 1 point.

### ZoomOut(self)

Make the displayed text smaller by decreasing the sizes by 1 point.

Property Details

### Anchor

See `GetAnchor` and `SetAnchor`

  Get Method:
    `GetAnchor`(self)
  Set Method:
    `SetAnchor`(self, posAnchor)

### BackSpaceUnIndents

See `GetBackSpaceUnIndents` and `SetBackSpaceUnIndents`

  Get Method:
    `GetBackSpaceUnIndents`(self)
  Set Method:
    `SetBackSpaceUnIndents`(self, bsUnIndents)

### BufferedDraw

See `GetBufferedDraw` and `SetBufferedDraw`

  Get Method:
    `GetBufferedDraw`(self)
  Set Method:
    `SetBufferedDraw`(self, buffered)

### CaretForeground

See `GetCaretForeground` and `SetCaretForeground`

  Get Method:
    `GetCaretForeground`(self)
  Set Method:
    `SetCaretForeground`(self, fore)

### CaretLineBack

See `GetCaretLineBack` and `SetCaretLineBack`

  Get Method:
    `GetCaretLineBackground`(self)
  Set Method:
    `SetCaretLineBackground`(self, back)

### CaretLineBackAlpha

See `GetCaretLineBackAlpha` and `SetCaretLineBackAlpha`

  Get Method:
    `GetCaretLineBackAlpha`(self)
  Set Method:
    `SetCaretLineBackAlpha`(self, alpha)

### CaretLineBackground

See `GetCaretLineBackground` and `SetCaretLineBackground`

  Get Method:
    `GetCaretLineBackground`(self)
  Set Method:
    `SetCaretLineBackground`(self, back)

### CaretLineVisible

See `GetCaretLineVisible` and `SetCaretLineVisible`

  Get Method:
    `GetCaretLineVisible`(self)
  Set Method:
    `SetCaretLineVisible`(self, show)

### CaretPeriod

See `GetCaretPeriod` and `SetCaretPeriod`

  Get Method:
    `GetCaretPeriod`(self)
  Set Method:
    `SetCaretPeriod`(self, periodMilliseconds)

### CaretSticky

See `GetCaretSticky` and `SetCaretSticky`

  Get Method:
    `GetCaretSticky`(self)
  Set Method:
    `SetCaretSticky`(self, useCaretStickyBehaviour)

### CaretWidth

See `GetCaretWidth` and `SetCaretWidth`

  Get Method:
    `GetCaretWidth`(self)
  Set Method:
    `SetCaretWidth`(self, pixelWidth)

### CodePage

See `GetCodePage` and `SetCodePage`

  Get Method:
    `GetCodePage`(self)
  Set Method:
    `SetCodePage`(self, codePage)

### ControlCharSymbol

See `GetControlCharSymbol` and `SetControlCharSymbol`

  Get Method:
    `GetControlCharSymbol`(self)
  Set Method:
    `SetControlCharSymbol`(self, symbol)

### CurLine

See `GetCurLine`

  Get Method:
    `GetCurLine`(self)

### CurLineRaw

See `GetCurLineRaw`

  Get Method:
    `GetCurLineRaw`()

### CurLineUTF8

See `GetCurLineUTF8`

  Get Method:
    `GetCurLineUTF8`(self)

### CurrentLine

See `GetCurrentLine`

  Get Method:
    `GetCurrentLine`(self)

### CurrentPos

See `GetCurrentPos` and `SetCurrentPos`

  Get Method:
    `GetCurrentPos`(self)
  Set Method:
    `SetCurrentPos`(self, pos)

### DocPointer

See `GetDocPointer` and `SetDocPointer`

  Get Method:
    `GetDocPointer`(self)
  Set Method:
    `SetDocPointer`(self, docPointer)

### EdgeColour

See `GetEdgeColour` and `SetEdgeColour`

  Get Method:
    `GetEdgeColour`(self)
  Set Method:
    `SetEdgeColour`(self, edgeColour)

### EdgeColumn

See `GetEdgeColumn` and `SetEdgeColumn`

  Get Method:
    `GetEdgeColumn`(self)
  Set Method:
    `SetEdgeColumn`(self, column)

### EdgeMode

See `GetEdgeMode` and `SetEdgeMode`

  Get Method:
    `GetEdgeMode`(self)
  Set Method:
    `SetEdgeMode`(self, mode)

### EndAtLastLine

See `GetEndAtLastLine` and `SetEndAtLastLine`

  Get Method:
    `GetEndAtLastLine`(self)
  Set Method:
    `SetEndAtLastLine`(self, endAtLastLine)

### EndStyled

See `GetEndStyled`

  Get Method:
    `GetEndStyled`(self)

### EOLMode

See `GetEOLMode` and `SetEOLMode`

  Get Method:
    `GetEOLMode`(self)
  Set Method:
    `SetEOLMode`(self, eolMode)

### FirstVisibleLine

See `GetFirstVisibleLine`

  Get Method:
    `GetFirstVisibleLine`(self)

### HighlightGuide

See `GetHighlightGuide` and `SetHighlightGuide`

  Get Method:
    `GetHighlightGuide`(self)
  Set Method:
    `SetHighlightGuide`(self, column)

### Indent

See `GetIndent` and `SetIndent`

  Get Method:
    `GetIndent`(self)
  Set Method:
    `SetIndent`(self, indentSize)

### IndentationGuides

See `GetIndentationGuides` and `SetIndentationGuides`

  Get Method:
    `GetIndentationGuides`(self)
  Set Method:
    `SetIndentationGuides`(self, show)

### LastKeydownProcessed

See `GetLastKeydownProcessed` and `SetLastKeydownProcessed`

  Get Method:
    `GetLastKeydownProcessed`(self)
  Set Method:
    `SetLastKeydownProcessed`(self, val)

### LayoutCache

See `GetLayoutCache` and `SetLayoutCache`

  Get Method:
    `GetLayoutCache`(self)
  Set Method:
    `SetLayoutCache`(self, mode)

### Length

See `GetLength`

  Get Method:
    `GetLength`(self)

### Lexer

See `GetLexer` and `SetLexer`

  Get Method:
    `GetLexer`(self)
  Set Method:
    `SetLexer`(self, lexer)

### LineCount

See `GetLineCount`

  Get Method:
    `GetLineCount`(self)

### MarginLeft

See `GetMarginLeft` and `SetMarginLeft`

  Get Method:
    `GetMarginLeft`(self)
  Set Method:
    `SetMarginLeft`(self, pixelWidth)

### MarginRight

See `GetMarginRight` and `SetMarginRight`

  Get Method:
    `GetMarginRight`(self)
  Set Method:
    `SetMarginRight`(self, pixelWidth)

### MaxLineState

See `GetMaxLineState`

  Get Method:
    `GetMaxLineState`(self)

### ModEventMask

See `GetModEventMask` and `SetModEventMask`

  Get Method:
    `GetModEventMask`(self)
  Set Method:
    `SetModEventMask`(self, mask)

### Modify

See `GetModify`

  Get Method:
    `GetModify`(self)

### MouseDownCaptures

See `GetMouseDownCaptures` and `SetMouseDownCaptures`

  Get Method:
    `GetMouseDownCaptures`(self)
  Set Method:
    `SetMouseDownCaptures`(self, captures)

### MouseDwellTime

See `GetMouseDwellTime` and `SetMouseDwellTime`

  Get Method:
    `GetMouseDwellTime`(self)
  Set Method:
    `SetMouseDwellTime`(self, periodMilliseconds)

### Overtype

See `GetOvertype` and `SetOvertype`

  Get Method:
    `GetOvertype`(self)
  Set Method:
    `SetOvertype`(self, overtype)

### PasteConvertEndings

See `GetPasteConvertEndings` and `SetPasteConvertEndings`

  Get Method:
    `GetPasteConvertEndings`(self)
  Set Method:
    `SetPasteConvertEndings`(self, convert)

### PrintColourMode

See `GetPrintColourMode` and `SetPrintColourMode`

  Get Method:
    `GetPrintColourMode`(self)
  Set Method:
    `SetPrintColourMode`(self, mode)

### PrintMagnification

See `GetPrintMagnification` and `SetPrintMagnification`

  Get Method:
    `GetPrintMagnification`(self)
  Set Method:
    `SetPrintMagnification`(self, magnification)

### PrintWrapMode

See `GetPrintWrapMode` and `SetPrintWrapMode`

  Get Method:
    `GetPrintWrapMode`(self)
  Set Method:
    `SetPrintWrapMode`(self, mode)

### ReadOnly

See `GetReadOnly` and `SetReadOnly`

  Get Method:
    `GetReadOnly`(self)
  Set Method:
    `SetReadOnly`(self, readOnly)

### ScrollWidth

See `GetScrollWidth` and `SetScrollWidth`

  Get Method:
    `GetScrollWidth`(self)
  Set Method:
    `SetScrollWidth`(self, pixelWidth)

### SearchFlags

See `GetSearchFlags` and `SetSearchFlags`

  Get Method:
    `GetSearchFlags`(self)
  Set Method:
    `SetSearchFlags`(self, flags)

### SelAlpha

See `GetSelAlpha` and `SetSelAlpha`

  Get Method:
    `GetSelAlpha`(self)
  Set Method:
    `SetSelAlpha`(self, alpha)

### SelectedText

See `GetSelectedText`

  Get Method:
    `GetSelectedText`(self)

### SelectedTextRaw

See `GetSelectedTextRaw`

  Get Method:
    `GetSelectedTextRaw`(self)

### SelectedTextUTF8

See `GetSelectedTextUTF8`

  Get Method:
    `GetSelectedTextUTF8`(self)

### Selection

See `GetSelection`

  Get Method:
    `GetSelection`(self)

### SelectionEnd

See `GetSelectionEnd` and `SetSelectionEnd`

  Get Method:
    `GetSelectionEnd`(self)
  Set Method:
    `SetSelectionEnd`(self, pos)

### SelectionMode

See `GetSelectionMode` and `SetSelectionMode`

  Get Method:
    `GetSelectionMode`(self)
  Set Method:
    `SetSelectionMode`(self, mode)

### SelectionStart

See `GetSelectionStart` and `SetSelectionStart`

  Get Method:
    `GetSelectionStart`(self)
  Set Method:
    `SetSelectionStart`(self, pos)

### Status

See `GetStatus` and `SetStatus`

  Get Method:
    `GetStatus`(self)
  Set Method:
    `SetStatus`(self, statusCode)

### STCCursor

See `GetSTCCursor` and `SetSTCCursor`

  Get Method:
    `GetSTCCursor`(self)
  Set Method:
    `SetSTCCursor`(self, cursorType)

### STCFocus

See `GetSTCFocus` and `SetSTCFocus`

  Get Method:
    `GetSTCFocus`(self)
  Set Method:
    `SetSTCFocus`(self, focus)

### StyleBits

See `GetStyleBits` and `SetStyleBits`

  Get Method:
    `GetStyleBits`(self)
  Set Method:
    `SetStyleBits`(self, bits)

### StyleBitsNeeded

See `GetStyleBitsNeeded`

  Get Method:
    `GetStyleBitsNeeded`(self)

### TabIndents

See `GetTabIndents` and `SetTabIndents`

  Get Method:
    `GetTabIndents`(self)
  Set Method:
    `SetTabIndents`(self, tabIndents)

### TabWidth

See `GetTabWidth` and `SetTabWidth`

  Get Method:
    `GetTabWidth`(self)
  Set Method:
    `SetTabWidth`(self, tabWidth)

### TargetEnd

See `GetTargetEnd` and `SetTargetEnd`

  Get Method:
    `GetTargetEnd`(self)
  Set Method:
    `SetTargetEnd`(self, pos)

### TargetStart

See `GetTargetStart` and `SetTargetStart`

  Get Method:
    `GetTargetStart`(self)
  Set Method:
    `SetTargetStart`(self, pos)

### Text

See `GetText` and `SetText`

  Get Method:
    `GetText`(self)
  Set Method:
    `SetText`(self, text)

### TextLength

See `GetTextLength`

  Get Method:
    `GetTextLength`(self)

### TextRaw

See `GetTextRaw` and `SetTextRaw`

  Get Method:
    `GetTextRaw`(self)
  Set Method:
    `SetTextRaw`(self, text)

### TextUTF8

See `GetTextUTF8` and `SetTextUTF8`

  Get Method:
    `GetTextUTF8`(self)
  Set Method:
    `SetTextUTF8`(self, text)

### thisown

The membership flag

  Get Method:
    unknown--1215254372(...)
  Set Method:
    unknown--1215254316(...)

### TwoPhaseDraw

See `GetTwoPhaseDraw` and `SetTwoPhaseDraw`

  Get Method:
    `GetTwoPhaseDraw`(self)
  Set Method:
    `SetTwoPhaseDraw`(self, twoPhase)

### UndoCollection

See `GetUndoCollection` and `SetUndoCollection`

  Get Method:
    `GetUndoCollection`(self)
  Set Method:
    `SetUndoCollection`(self, collectUndo)

### UseAntiAliasing

See `GetUseAntiAliasing` and `SetUseAntiAliasing`

  Get Method:
    `GetUseAntiAliasing`(self)
  Set Method:
    `SetUseAntiAliasing`(self, useAA)

### UseHorizontalScrollBar

See `GetUseHorizontalScrollBar` and `SetUseHorizontalScrollBar`

  Get Method:
    `GetUseHorizontalScrollBar`(self)
  Set Method:
    `SetUseHorizontalScrollBar`(self, show)

### UseTabs

See `GetUseTabs` and `SetUseTabs`

  Get Method:
    `GetUseTabs`(self)
  Set Method:
    `SetUseTabs`(self, useTabs)

### UseVerticalScrollBar

See `GetUseVerticalScrollBar` and `SetUseVerticalScrollBar`

  Get Method:
    `GetUseVerticalScrollBar`(self)
  Set Method:
    `SetUseVerticalScrollBar`(self, show)

### ViewEOL

See `GetViewEOL` and `SetViewEOL`

  Get Method:
    `GetViewEOL`(self)
  Set Method:
    `SetViewEOL`(self, visible)

### ViewWhiteSpace

See `GetViewWhiteSpace` and `SetViewWhiteSpace`

  Get Method:
    `GetViewWhiteSpace`(self)
  Set Method:
    `SetViewWhiteSpace`(self, viewWS)

### WrapMode

See `GetWrapMode` and `SetWrapMode`

  Get Method:
    `GetWrapMode`(self)
  Set Method:
    `SetWrapMode`(self, mode)

### WrapStartIndent

See `GetWrapStartIndent` and `SetWrapStartIndent`

  Get Method:
    `GetWrapStartIndent`(self)
  Set Method:
    `SetWrapStartIndent`(self, indent)

### WrapVisualFlags

See `GetWrapVisualFlags` and `SetWrapVisualFlags`

  Get Method:
    `GetWrapVisualFlags`(self)
  Set Method:
    `SetWrapVisualFlags`(self, wrapVisualFlags)

### WrapVisualFlagsLocation

See `GetWrapVisualFlagsLocation` and `SetWrapVisualFlagsLocation`

  Get Method:
    `GetWrapVisualFlagsLocation`(self)
  Set Method:
    `SetWrapVisualFlagsLocation`(self, wrapVisualFlagsLocation)

### XOffset

See `GetXOffset` and `SetXOffset`

  Get Method:
    `GetXOffset`(self)
  Set Method:
    `SetXOffset`(self, newOffset)

### Zoom

See `GetZoom` and `SetZoom`

  Get Method:
    `GetZoom`(self)
  Set Method:
    `SetZoom`(self, zoom)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:23 2007 | http://epydoc.sf.net